# CHANGELOG.md

## v4.0-RC2

Security Update(s):

  - Drupal Core
  - Admin Views
  - jQuery
  - Path Breadcrumbs
  - Services
  - Views Bulk Operations

Performance Update(s)

  - Improved theme registry performance
  - Render caching for computation heavy functions in hook_preprocess_page()
  - Hierarchical Taxonomy performance on Edit Draft page
  - Path Breadcrumbs caching enabled by default

Features:

  - Update Panel Layout icons + markup
  - Improved Tabbed Interface support
  - Updates to WxT jQuery Framework
  - Aggresive caching to hook_preprocess_page for improved page performance
  - Date Modified CTools plugin is now working as expected
  - Improved base theme logic when handling subtheme logo settings

Fixes:

  - (Commit: [0e3f6cf][R4.0-rc2-Commit-0e3f6cf]) Fixed WetKit WYSIWYG for Enable line wrapping in Wysiwyg by default.
  - (Commit: [1ef9c25][R4.0-rc2-Commit-1ef9c25]) Fixed WetKit Images for Update breakpoint performance patch.
  - (Commit: [b4c747d][R4.0-rc2-Commit-b4c747d]) Fixed WetKit Core for Update panopoly_magic to latest official release.
  - (Commit: [bb9754f][R4.0-rc2-Commit-bb9754f]) Fixed WetKit Migration for #[2543762][R4.0-rc2-Issue-2543762] - Convert wetkit slider to WET 4 and make it more versatile
  - (Commit: [bb4cfc8][R4.0-rc2-Commit-bb4cfc8]) Fixed WetKit Migration for #[2543762][R4.0-rc2-Issue-2543762] - Convert wetkit slider to WET 4 and make it more versatile
  - (Commit: [d1fd844][R4.0-rc2-Commit-d1fd844]) Fixed WetKit Bean for #[2543762][R4.0-rc2-Issue-2543762] - Convert wetkit slider to WET 4 and make it more versatile
  - (Commit: [716ea83][R4.0-rc2-Commit-716ea83]) Fixed WetKit Bean for #[2543762][R4.0-rc2-Issue-2543762] - Convert wetkit slider to WET 4 and make it more versatile
  - (Commit: [f8f44f5][R4.0-rc2-Commit-f8f44f5]) Attempt to resolve Chrome issues.
  - (Commit: [b54db53][R4.0-rc2-Commit-b54db53]) Fixed WetKit Test for Test with just firefox and no chrome exception.
  - (Commit: [b44918d][R4.0-rc2-Commit-b44918d]) Fix for missing selenium.
  - (Commit: [fef9df4][R4.0-rc2-Commit-fef9df4]) Update Selenium to latest version.
  - (Commit: [f6da1a4][R4.0-rc2-Commit-f6da1a4]) Update Selenium to latest version.
  - (Commit: [a4a190d][R4.0-rc2-Commit-a4a190d]) Fixed WetKit Migration for Add support for latest Entity Translation revision addition.
  - (Commit: [402c9bc][R4.0-rc2-Commit-402c9bc]) Fixed WetKit Bootstrap for Fix for cache issue with Custom Search.
  - (Commit: [ece283d][R4.0-rc2-Commit-ece283d]) Fixed WetKit Language for #[2537760][R4.0-rc2-Issue-2537760] - wetkit_language ET and FT upgrade
  - (Commit: [2e52684][R4.0-rc2-Commit-2e52684]) Fixed WetKit Admin for Add missing title to Panes layout.
  - (Commit: [939e69b][R4.0-rc2-Commit-939e69b]) Fixed WetKit Panel Layouts for Minor markup adjustments for Boxton layout.
  - (Commit: [39e22bb][R4.0-rc2-Commit-39e22bb]) Fixed WetKit Bean for Fix for Code style issue.
  - (Commit: [c4fbaeb][R4.0-rc2-Commit-c4fbaeb]) Fixed WetKit Language for Update Features Translation to latest stable.
  - (Commit: [7e72c20][R4.0-rc2-Commit-7e72c20]) Fix WetKit Layouts for #[2532600][R4.0-rc2-Issue-2532600] - Update Icons for layouts to be understandable, and cleaner.
  - (Commit: [4c9c53a][R4.0-rc2-Commit-4c9c53a]) Fixed WetKit Bootstrap for #[2533860][R4.0-rc2-Issue-2533860] - disabling "Show 'Home' breadcrumb link" in wetkit_bootstrap arbitrarily pops off first breadcrumb element
  - (Commit: [f872756][R4.0-rc2-Commit-f872756]) Fixed WetKit Bootstrap for #[2530288][R4.0-rc2-Issue-2530288] - Logo settings in sub-theme not working
  - (Commit: [6ef6131][R4.0-rc2-Commit-6ef6131]) Adjust Travis env params.
  - (Commit: [cb7d1f6][R4.0-rc2-Commit-cb7d1f6]) Fixed WetKit Language for #[2533850][R4.0-rc2-Issue-2533850] - use i18n_variables to set Home / Accueil translation
  - (Commit: [79dd079][R4.0-rc2-Commit-79dd079]) Fixed WetKit Breadcrumbs for Enable temporary caching by default.
  - (Commit: [290cf2d][R4.0-rc2-Commit-290cf2d]) Fixed WetKit Core for #[2537780][R4.0-rc2-Issue-2537780] - wetkit_core features and webforms upgrade
  - (Commit: [88164b3][R4.0-rc2-Commit-88164b3]) Fixed WetKit Core for #[2484927][R4.0-rc2-Issue-2484927] - Display entity label and UUID in dialog
  - (Commit: [d51c391][R4.0-rc2-Commit-d51c391]) Streamline Password Reset process for Issue #889772.
  - (Commit: [7e33550][R4.0-rc2-Commit-7e33550]) Fixed WetKit Admin for #[2537750][R4.0-rc2-Issue-2537750] - admin_views SA-CONTRIB-2015-132
  - (Commit: [3c42eb9][R4.0-rc2-Commit-3c42eb9]) Fixed WetKit Panel Layouts for Cleanup of Panel Layouts.
  - (Commit: [aefabd1][R4.0-rc2-Commit-aefabd1]) Fixed WetKit Breadcrumbs for Update path breadcrumbs to latest official (SA-CONTRIB-2015-133)
  - (Commit: [8af7e3e][R4.0-rc2-Commit-8af7e3e]) Fixed WetKit Panel Layouts for Cleanup of Panel Layouts.
  - (Commit: [594765f][R4.0-rc2-Commit-594765f]) Fixed WetKit Test for Update Behat for Date Modified improvements.
  - (Commit: [f773c17][R4.0-rc2-Commit-f773c17]) Fixed WetKit Theme for #[2530288][R4.0-rc2-Issue-2530288] - Logo settings in sub-theme not working
  - (Commit: [9610eee][R4.0-rc2-Commit-9610eee]) Fixed WetKit Bootstrap for #[2530288][R4.0-rc2-Issue-2530288] - Logo settings in sub-theme not working
  - (Commit: [81e22f7][R4.0-rc2-Commit-81e22f7]) Fixed WetKit Panel Layouts for #[2530220][R4.0-rc2-Issue-2530220] - Mackenzie layout is missing the bootstrap container class
  - (Commit: [179bfcc][R4.0-rc2-Commit-179bfcc]) Fixed WetKit Core for #[2529722][R4.0-rc2-Issue-2529722] - The UUIDs of cloned variant and relative panes are the same of original ones
  - (Commit: [cfa7a1f][R4.0-rc2-Commit-cfa7a1f]) Fixed WetKit WET-BOEW for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [c64fec2][R4.0-rc2-Commit-c64fec2]) Fixed WetKit Migration for Fix for slow Taxonomy import related to Pathauto.
  - (Commit: [4f19cfe][R4.0-rc2-Commit-4f19cfe]) Fixed WetKit Bootstrap for #[2527832][R4.0-rc2-Issue-2527832] - Additional caching for hook_preprocess_page()
  - (Commit: [5b19e48][R4.0-rc2-Commit-5b19e48]) Fixed WetKit Bean for #[2528454][R4.0-rc2-Issue-2528454] - Render Caching for slideout_bean
  - (Commit: [23fb291][R4.0-rc2-Commit-23fb291]) Fixed WetKit Test for Fix for removed accessibility permissions causing failed test.
  - (Commit: [92b5862][R4.0-rc2-Commit-92b5862]) Fixed WetKit Deployment for #[2528666][R4.0-rc2-Issue-2528666] - Removal of unused xautoload + configuration
  - (Commit: [65bf07d][R4.0-rc2-Commit-65bf07d]) Fixed WetKit WYSIWYG for #[2528658][R4.0-rc2-Issue-2528658] - Removing deprecated Accessibility module
  - (Commit: [daa7976][R4.0-rc2-Commit-daa7976]) Fixed WetKit Core for #[2528658][R4.0-rc2-Issue-2528658] - Removing deprecated Accessibility module
  - (Commit: [80c26a2][R4.0-rc2-Commit-80c26a2]) Fixed WetKit Core for #[2528658][R4.0-rc2-Issue-2528658] - Removing deprecated Accessibility module
  - (Commit: [05d2a58][R4.0-rc2-Commit-05d2a58]) Fixed WetKit Bean for #[2528454][R4.0-rc2-Issue-2528454] - Render Caching for slideout_bean
  - (Commit: [439eb5a][R4.0-rc2-Commit-439eb5a]) Fixed WetKit Core for Allow for more granular control to flush WxT render caches.
  - (Commit: [28aabac][R4.0-rc2-Commit-28aabac]) Fixed WetKit Bean for #[2528454][R4.0-rc2-Issue-2528454] - Render Caching for slideout_bean
  - (Commit: [07755b3][R4.0-rc2-Commit-07755b3]) Fixed WetKit Bootstrap for #[2527832][R4.0-rc2-Issue-2527832] - Additional caching for hook_preprocess_page()
  - (Commit: [621f9a9][R4.0-rc2-Commit-621f9a9]) Fixed WetKit WET-BOEW for Support for cache clearing when switching WxT themes.
  - (Commit: [e7e14e6][R4.0-rc2-Commit-e7e14e6]) Fixed WetKit Menu for Remove expensive calls in WetKit Menu relating to custom css.
  - (Commit: [55b818f][R4.0-rc2-Commit-55b818f]) Fixed WetKit Migration for Enforce description for every Migration class.
  - (Commit: [a868925][R4.0-rc2-Commit-a868925]) Fixed WetKit Migration for Attempt to improve Taxonomy insert speed.
  - (Commit: [23ac052][R4.0-rc2-Commit-23ac052]) Fixed WetKit Migration for Update the Migrate module to latest stable release.
  - (Commit: [f1932b2][R4.0-rc2-Commit-f1932b2]) Fixed WetKit Users for #[2522698][R4.0-rc2-Issue-2522698] - Wetkit users image style settings for profile picture
  - (Commit: [3d36e18][R4.0-rc2-Commit-3d36e18]) Fixed WetKit Test for Remove check for active-trail as conflicts with caching introduced in #2527832
  - (Commit: [6673a57][R4.0-rc2-Commit-6673a57]) Fixed WetKit Bootstrap for #[2527832][R4.0-rc2-Issue-2527832] - Additional caching for hook_preprocess_page()
  - (Commit: [c318e50][R4.0-rc2-Commit-c318e50]) Fixed WetKit Breadcrumbs for #[2511662][R4.0-rc2-Issue-2511662] - Changing the wetkit breadcrumb/path breadcrumb home link title doesn't work when not using path breadcrumbs
  - (Commit: [3ce3f08][R4.0-rc2-Commit-3ce3f08]) Fixed WetKit Core for #[2516906][R4.0-rc2-Issue-2516906] - SA-CONTRIB-2015-131 upgrade to views_bulk_operations v 3.3
  - (Commit: [9a9b2ce][R4.0-rc2-Commit-9a9b2ce]) Fixed WetKit Bean for #[2521828][R4.0-rc2-Issue-2521828] - Wetkit bean twitter block renders an empty h2
  - (Commit: [2a7e9c4][R4.0-rc2-Commit-2a7e9c4]) Fixed WetKit Bootstrap for Fix for logging wrapper collapsed.
  - (Commit: [5106eb8][R4.0-rc2-Commit-5106eb8]) Fixed WetKit Theme for Small css adjustments for Modal.
  - (Commit: [32566fd][R4.0-rc2-Commit-32566fd]) Fixed WetKit Theme for Small css adjustments for Modal.
  - (Commit: [f88b321][R4.0-rc2-Commit-f88b321]) Fixed WetKit Theme for Small css adjustments for Modal.
  - (Commit: [bd5bce2][R4.0-rc2-Commit-bd5bce2]) Fixed WetKit Widgets for Fix for media exposed filter on libraries tab.
  - (Commit: [f756176][R4.0-rc2-Commit-f756176]) Fixed WetKit Theme for Small css adjustments for Modal.
  - (Commit: [5a70e6b][R4.0-rc2-Commit-5a70e6b]) Fixed WetKit WET-BOEW for #[2509414][R4.0-rc2-Issue-2509414] - Updating WxT from v4.0.10 to v4.0.14
  - (Commit: [dcf704d][R4.0-rc2-Commit-dcf704d]) Fixed WetKit WET-BOEW for #[2509414][R4.0-rc2-Issue-2509414] - Updating WxT from v4.0.10 to v4.0.14
  - (Commit: [67254bb][R4.0-rc2-Commit-67254bb]) Fixed WetKit Bean for Fix for Tabbed Interface adding active to every tablist liste item.
  - (Commit: [afc918d][R4.0-rc2-Commit-afc918d]) Fixed WetKit Images for Update picture module to the 2.9 version.
  - (Commit: [fb47e1a][R4.0-rc2-Commit-fb47e1a]) Fixed WetKit Demo for Remove bad contexts that shouldn't be assigned.
  - (Commit: [32a4350][R4.0-rc2-Commit-32a4350]) Fixed WetKit Core for Updates to advanced_help, hierarchical_select, and panopoly_magic.
  - (Commit: [1747ca3][R4.0-rc2-Commit-1747ca3]) Fixed WetKit Bean for Update Bean module to 1.9 version.
  - (Commit: [7ea771d][R4.0-rc2-Commit-7ea771d]) Fixed WetKit Theme for Adjustments for modifications made to advanced help menu path.
  - (Commit: [fa5f8c7][R4.0-rc2-Commit-fa5f8c7]) Fixed WetKit Bootstrap for Fix for visual regression on fieldsets leveraging bootstrap panel class
  - (Commit: [9201285][R4.0-rc2-Commit-9201285]) Fixed WetKit Admin for #[2508399][R4.0-rc2-Issue-2508399] - JQuery  SA-CONTRIB-2015-123 - Open Redirect
  - (Commit: [754a6e4][R4.0-rc2-Commit-754a6e4]) Fixed WetKit Search for #[2302955][R4.0-rc2-Issue-2302955] - Unable to search from 404 page
  - (Commit: [44ab705][R4.0-rc2-Commit-44ab705]) Fixed WetKit Theme for Fix for option text-aligner using inline-block instead of float.
  - (Commit: [ff1342d][R4.0-rc2-Commit-ff1342d]) Fixed WetKit Core for Removal of legacy CSS causing issues with Modal.
  - (Commit: [4e961fc][R4.0-rc2-Commit-4e961fc]) Fixed WetKit Theme for Small css adjustments for Modal.
  - (Commit: [f087f04][R4.0-rc2-Commit-f087f04]) Fixed WetKit WET-BOEW for #[2509414][R4.0-rc2-Issue-2509414] - Updating WxT from v4.0.10 to v4.0.14
  - (Commit: [f1b5d5a][R4.0-rc2-Commit-f1b5d5a]) Fixed WetKit Theme for #[2400083][R4.0-rc2-Issue-2400083] - Horizontal tab region on front page always has title "Search"
  - (Commit: [e19387f][R4.0-rc2-Commit-e19387f]) Fixed WetKit Widgets for Small accessibility improvement to Media + Minor alt handling updates.
  - (Commit: [b776797][R4.0-rc2-Commit-b776797]) Fixed WetKit Bootstrap for LinkIT styling issues on dialog open.
  - (Commit: [b1e6849][R4.0-rc2-Commit-b1e6849]) Fixed WetKit Core for #[2484927][R4.0-rc2-Issue-2484927] - Display entity label and UUID in dialog
  - (Commit: [c326c65][R4.0-rc2-Commit-c326c65]) Fixed WetKit Admin for #[2508399][R4.0-rc2-Issue-2508399] - JQuery  SA-CONTRIB-2015-123 - Open Redirect
  - (Commit: [cb65092][R4.0-rc2-Commit-cb65092]) Fixed WetKit Core for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [0bb2cf5][R4.0-rc2-Commit-0bb2cf5]) Fixed WetKit WET-BOEW for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [eb3b23f][R4.0-rc2-Commit-eb3b23f]) Fixed WetKit Test for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [13917f3][R4.0-rc2-Commit-13917f3]) Fixed WetKit Core for #[2503341][R4.0-rc2-Issue-2503341] - Region title for wetkit tabs
  - (Commit: [bea4e37][R4.0-rc2-Commit-bea4e37]) Fixed WetKit Test for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [3d03d6d][R4.0-rc2-Commit-3d03d6d]) Fixed WetKit Core for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [cbd2bf8][R4.0-rc2-Commit-cbd2bf8]) Fixed WetKit WET-BOEW for #[2434721][R4.0-rc2-Issue-2434721] - Date modified - bugs
  - (Commit: [28fe52d][R4.0-rc2-Commit-28fe52d]) Fixed WetKit Menu for #[2506647][R4.0-rc2-Issue-2506647] -  Call to undefined function wetkit_menu_requirements()
  - (Commit: [2ff38bf][R4.0-rc2-Commit-2ff38bf]) Fixed WetKit Language for #[2508465][R4.0-rc2-Issue-2508465] - i18n 7.x-1.13 drupal core compatibility update
  - (Commit: [0598438][R4.0-rc2-Commit-0598438]) #[2508275][R4.0-rc2-Issue-2508275] - Drupal 7.38 released with SA critical
  - (Commit: [43852be][R4.0-rc2-Commit-43852be]) Fixed WetKit Test for #[2494539][R4.0-rc2-Issue-2494539] - WxT Behat tests expansion
  - (Commit: [ddb2985][R4.0-rc2-Commit-ddb2985]) Fixed WetKit Test for #[2494539][R4.0-rc2-Issue-2494539] - WxT Behat tests expansion
  - (Commit: [33bd0d5][R4.0-rc2-Commit-33bd0d5]) Fixed WetKit Test for #[2494539][R4.0-rc2-Issue-2494539] - WxT Behat tests expansion
  - (Commit: [5198c58][R4.0-rc2-Commit-5198c58]) Update WetKit Test for more Behat additions.
  - (Commit: [0e072c6][R4.0-rc2-Commit-0e072c6]) Fixed WetKit Core for Update panopoly magic to show single preview mode.
  - (Commit: [11522b6][R4.0-rc2-Commit-11522b6]) Fixed WetKit Menu for #[2496495][R4.0-rc2-Issue-2496495] - New group-list menu theme functions
  - (Commit: [43242f8][R4.0-rc2-Commit-43242f8]) Fixed WetKit Core for #[2482943][R4.0-rc2-Issue-2482943] - upgrade to views v 3.11
  - (Commit: [09a48e7][R4.0-rc2-Commit-09a48e7]) Fixed WetKit Bootstrap for wetkit bootstrap breadcrumbs showing duplicate titles
  - (Commit: [8a507db][R4.0-rc2-Commit-8a507db]) Fixed WetKit Bootstrap for #[2496481][R4.0-rc2-Issue-2496481] - Need menu_tree wrapper for a new group-list menu
  - (Commit: [4240873][R4.0-rc2-Commit-4240873]) Fixed WetKit Panel Layouts for #[2496453][R4.0-rc2-Issue-2496453] - Some layouts not ported to 4.x correctly
  - (Commit: [1a1c4e6][R4.0-rc2-Commit-1a1c4e6]) Fixed WetKit Bootstrap for #[2498363][R4.0-rc2-Issue-2498363] - WxT Bootstrap Settings instructions for Search box visibility fixed
  - (Commit: [fc62047][R4.0-rc2-Commit-fc62047]) Fixed WetKit Bootstrap for #[2499125][R4.0-rc2-Issue-2499125] - Customization Overrides - Disable rendering of menu items instructions fixed
  - (Commit: [cf55b77][R4.0-rc2-Commit-cf55b77]) Fixed WetKit Panel Layouts for #[2500369][R4.0-rc2-Issue-2500369] - Boxton layout is missing the bootstrap container class
  - (Commit: [57b7247][R4.0-rc2-Commit-57b7247]) Fixed WetKit Theme for #[2500585][R4.0-rc2-Issue-2500585] - wetkit theme change text 2x to 4x
  - (Commit: [932b8a3][R4.0-rc2-Commit-932b8a3]) Fixed WetKit Bootstrap for #[2492305][R4.0-rc2-Issue-2492305] - button theme function needs an accessible icon only option
  - (Commit: [089578a][R4.0-rc2-Commit-089578a]) Second loop in module_implements() being repeated for no reason
  - (Commit: [d792752][R4.0-rc2-Commit-d792752]) Fixed WetKit Test for Fix for Bean Follow link.
  - (Commit: [ef7fb5a][R4.0-rc2-Commit-ef7fb5a]) Fixed WetKit Bean for Remove unneeded dependency.
  - (Commit: [088d936][R4.0-rc2-Commit-088d936]) Fixed WetKit Bean for Missing body in search bean (field definition).
  - (Commit: [6414a8c][R4.0-rc2-Commit-6414a8c]) Fixed WetKit Core for Update panopoly_magic and webform to latest stable.
  - (Commit: [f532905][R4.0-rc2-Commit-f532905]) Fixed WetKit Bean for Missing body in search bean.
  - (Commit: [ab869e6][R4.0-rc2-Commit-ab869e6]) Fixed WetKit Core for Update features to 2.5 version.
  - (Commit: [83e4044][R4.0-rc2-Commit-83e4044]) Fixed WetKit Deployment for #[2482837][R4.0-rc2-Issue-2482837] - distinct query fix bulk deployment view
  - (Commit: [be9bcdd][R4.0-rc2-Commit-be9bcdd]) Fixed WetKit Core for #[2482943][R4.0-rc2-Issue-2482943] - upgrade to views v 3.11
  - (Commit: [a311c83][R4.0-rc2-Commit-a311c83]) Fixed WetKit Core for #[2480345][R4.0-rc2-Issue-2480345] - "Edit Draft" hs_taxonomy performance fix for wetkit 1.9 and 4.0 rc1
  - (Commit: [3de578a][R4.0-rc2-Commit-3de578a]) #[2487085][R4.0-rc2-Issue-2487085] - Wetkit Improve theme registry build performance by 85%
  - (Commit: [865c06a][R4.0-rc2-Commit-865c06a]) Fixed WetKit Deployment for #[2485619][R4.0-rc2-Issue-2485619] - Resolve SA for services module
  - (Commit: [2430f17][R4.0-rc2-Commit-2430f17]) Fixed WetKit Language for #[2479349][R4.0-rc2-Issue-2479349] - Language switcher does not preserve query parameters
  - (Commit: [5462b10][R4.0-rc2-Commit-5462b10]) Fixed WetKit Core for #[2145567][R4.0-rc2-Issue-2145567] - CTools Contexts are missing UUID support
  - (Commit: [166414b][R4.0-rc2-Commit-166414b]) Prepare for next release.

## v4.0-RC1

Security Update(s):

  - Drupal Core
  - Linkit
  - Services

Performance Update(s)

  - Addition of core patch for module_implements() verified static cache.
  - Performance improvements (Panels Plugins and i18n)

Features:

  - Minor UX improvements to Panels IPE
  - Stabilization of deployment related modules to official release
  - Small Bootstrap adjustments
  - Workbench Moderation improvements

Fixes:

  - (Commit: [76d7793][R4.0-rc1-Commit-76d7793]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [55f8702][R4.0-rc1-Commit-55f8702]) Prepare for 4.0-rc1 release.
  - (Commit: [e8a7269][R4.0-rc1-Commit-e8a7269]) Fixed WetKit Admin for Fix for invalid patch format.
  - (Commit: [50a5678][R4.0-rc1-Commit-50a5678]) Fixed WetKit Test for #[2457949][R4.0-rc1-Issue-2457949] - Behat tests expansion
  - (Commit: [5e5be8c][R4.0-rc1-Commit-5e5be8c]) Fixed WetKit Pages for #[2460287][R4.0-rc1-Issue-2460287] - Landing page creation confirmation message always says Sutherland
  - (Commit: [7747838][R4.0-rc1-Commit-7747838]) Fixed WetKit Core for #[2464421][R4.0-rc1-Issue-2464421] - Password Policy Security Release
  - (Commit: [473d043][R4.0-rc1-Commit-473d043]) Fixed WetKit Bootstrap for #[2464413][R4.0-rc1-Issue-2464413] - Add support for GCWeb cdn for Megamenu + Footer
  - (Commit: [18b4762][R4.0-rc1-Commit-18b4762]) Fixed WetKit WET-BOEW for Missing logic for theme.min.js.
  - (Commit: [2a51bca][R4.0-rc1-Commit-2a51bca]) Fixed WetKit Bootstrap for Minor CSS adjustment for Dashboard screen.
  - (Commit: [1d00d8f][R4.0-rc1-Commit-1d00d8f]) Fixed WetKit Menu for Remove deprecated WxT requirements functionality.
  - (Commit: [d9d2fe3][R4.0-rc1-Commit-d9d2fe3]) Fixed WetKit Bootstrap for Improve display of status report table.
  - (Commit: [62cd71a][R4.0-rc1-Commit-62cd71a]) Fixed WetKit Admin for Fix for invalid contexts causing ctools missing string.
  - (Commit: [664fde7][R4.0-rc1-Commit-664fde7]) Fixed WetKit Theme for Fix for hidden themes displaying on install.
  - (Commit: [f04bc92][R4.0-rc1-Commit-f04bc92]) Fixed WetKit Pages for Fix use of hardcoded layout name.
  - (Commit: [b90eb27][R4.0-rc1-Commit-b90eb27]) Fixed WetKit Images for Fix incorrect label for view modes.
  - (Commit: [bd07962][R4.0-rc1-Commit-bd07962]) Fixed WetKit Core for Remove patch for CTools string context.
  - (Commit: [b45d657][R4.0-rc1-Commit-b45d657]) Update CHANGELOG.md file.
  - (Commit: [9a29304][R4.0-rc1-Commit-9a29304]) Update CHANGELOG.md file.
  - (Commit: [596a470][R4.0-rc1-Commit-596a470]) Fixed WetKit Core for #[2352895][R4.0-rc1-Issue-2352895] - Pathauto Persist?
  - (Commit: [a34f8ac][R4.0-rc1-Commit-a34f8ac]) Update CHANGELOG.md file.
  - (Commit: [9a0da7b][R4.0-rc1-Commit-9a0da7b]) Fixed WetKit Test for #[2457949][R4.0-rc1-Issue-2457949] - Behat tests expansion
  - (Commit: [6f14f60][R4.0-rc1-Commit-6f14f60]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [28e9c20][R4.0-rc1-Commit-28e9c20]) Fixed WetKit Test for #[2457949][R4.0-rc1-Issue-2457949] - Behat tests expansion
  - (Commit: [129d38b][R4.0-rc1-Commit-129d38b]) Fixed WetKit Widgets for #[2458841][R4.0-rc1-Issue-2458841] - Features Module 2.4 changes
  - (Commit: [360898f][R4.0-rc1-Commit-360898f]) Fixed WetKit Users for #[2458841][R4.0-rc1-Issue-2458841] - Features Module 2.4 changes
  - (Commit: [20da48e][R4.0-rc1-Commit-20da48e]) Fixed WetKit Images for #[2458841][R4.0-rc1-Issue-2458841] - Features Module 2.4 changes
  - (Commit: [48c500a][R4.0-rc1-Commit-48c500a]) Fixed WetKit Core for #[2458841][R4.0-rc1-Issue-2458841] - Features Module 2.4 changes
  - (Commit: [043506a][R4.0-rc1-Commit-043506a]) Fixed WetKit Bean for #[2458841][R4.0-rc1-Issue-2458841] - Features Module 2.4 changes
  - (Commit: [3532424][R4.0-rc1-Commit-3532424]) Fixed WetKit Panel Layouts for #[2453387][R4.0-rc1-Issue-2453387] - missing submenu for dashboard in 4x
  - (Commit: [42aef39][R4.0-rc1-Commit-42aef39]) Fixed WetKit Deployment for #[2453387][R4.0-rc1-Issue-2453387] - missing submenu for dashboard in 4x
  - (Commit: [0795c9d][R4.0-rc1-Commit-0795c9d]) Fixed WetKit Core for #[2453387][R4.0-rc1-Issue-2453387] - missing submenu for dashboard in 4x
  - (Commit: [6f1d84d][R4.0-rc1-Commit-6f1d84d]) Fixed WetKit Bootstrap for CSS fix for Panels backend hidden title.
  - (Commit: [07dcb0b][R4.0-rc1-Commit-07dcb0b]) Fixed WetKit Deployment for #[2449043][R4.0-rc1-Issue-2449043] - batch deployment regression > wetkit 1.2 < 4.x dev
  - (Commit: [cc30d18][R4.0-rc1-Commit-cc30d18]) Fixed WetKit Deployment for #[2450967][R4.0-rc1-Issue-2450967] - remove conflicting css
  - (Commit: [e4117bd][R4.0-rc1-Commit-e4117bd]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [465e27b][R4.0-rc1-Commit-465e27b]) Fixed WetKit Deployment for #[2136621][R4.0-rc1-Issue-2136621] - improve usability of wetkit_deployment
  - (Commit: [5e91e8f][R4.0-rc1-Commit-5e91e8f]) Fixed WetKit Core for #[2447305][R4.0-rc1-Issue-2447305] - add new term reference of type hierarchical_select
  - (Commit: [ad1ae08][R4.0-rc1-Commit-ad1ae08]) Fixed WetKit WET-BOEW for #[2454123][R4.0-rc1-Issue-2454123] - WETKIT Configure Panes using wetboew 3.1
  - (Commit: [18a332d][R4.0-rc1-Commit-18a332d]) Fixed WetKit Bean for #[2449759][R4.0-rc1-Issue-2449759] - Wetkit Share Bean - remove unused functions Email and Source tag
  - (Commit: [acabf10][R4.0-rc1-Commit-acabf10]) Fixed WetKit Bean for #[2449791][R4.0-rc1-Issue-2449791] - Wetkit Share Bean - old Span classes no longer work
  - (Commit: [9a26b3c][R4.0-rc1-Commit-9a26b3c]) #[2456355][R4.0-rc1-Issue-2456355] - Drupal 7.35 released
  - (Commit: [4e5fcb3][R4.0-rc1-Commit-4e5fcb3]) Fixed WetKit Test for #[2450369][R4.0-rc1-Issue-2450369] - Make Bean behat tests more in-depth
  - (Commit: [579f15a][R4.0-rc1-Commit-579f15a]) Fixed WetKit Bean for #[2450311][R4.0-rc1-Issue-2450311] - Wetkit Rate Bean - old Span classes no longer work
  - (Commit: [9c44f2a][R4.0-rc1-Commit-9c44f2a]) Fixed WetKit Bean for #[2450275][R4.0-rc1-Issue-2450275] - Wetkit Twitter Bean - Span options not implemented and using old span classes
  - (Commit: [e11a210][R4.0-rc1-Commit-e11a210]) Fixed WetKit Bean for #[2450217][R4.0-rc1-Issue-2450217] - Wetkit Search Bean - old Title and Title backgrounds no longer used
  - (Commit: [755191e][R4.0-rc1-Commit-755191e]) Fixed WetKit Bean for #[2449035][R4.0-rc1-Issue-2449035] - Wetkit Search Bean - Placeholder text not working
  - (Commit: [4b3f177][R4.0-rc1-Commit-4b3f177]) Fixed WetKit Bean for Remove invalid addtion to info file.
  - (Commit: [86c2847][R4.0-rc1-Commit-86c2847]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [fa4e8a0][R4.0-rc1-Commit-fa4e8a0]) Fixed WetKit Test for #[2447503][R4.0-rc1-Issue-2447503] - Add Link and Search beans to bean.feature Behat test
  - (Commit: [5add9f5][R4.0-rc1-Commit-5add9f5]) Fixed WetKit Bean for #[2447445][R4.0-rc1-Issue-2447445] - Create new bean Link or bean Search gives WSOD
  - (Commit: [3face54][R4.0-rc1-Commit-3face54]) Fixed WetKit WYSIWYG for #[2447395][R4.0-rc1-Issue-2447395] - Allow linkit for taxonomy terms
  - (Commit: [97c5f70][R4.0-rc1-Commit-97c5f70]) Fixed WetKit Ember for #[2447297][R4.0-rc1-Issue-2447297] - admin/modules screen and Ember theme
  - (Commit: [85c8280][R4.0-rc1-Commit-85c8280]) Delete .gitignore file.
  - (Commit: [51f3f76][R4.0-rc1-Commit-51f3f76]) Update CHANGELOG.md file.
  - (Commit: [9e5ca8d][R4.0-rc1-Commit-9e5ca8d]) Fixed WetKit Test for #[2442817][R4.0-rc1-Issue-2442817] - Update twitter bean behat test
  - (Commit: [3ecaea3][R4.0-rc1-Commit-3ecaea3]) Fixed WetKit Bean for #[2442909][R4.0-rc1-Issue-2442909] - Highlight bean custom CSS not rendered
  - (Commit: [3b04c83][R4.0-rc1-Commit-3b04c83]) Fixed WetKit Test for #[2444543][R4.0-rc1-Issue-2444543] - Expand behat testing to include many bean types
  - (Commit: [26b1124][R4.0-rc1-Commit-26b1124]) Fixed WetKit Admin for #[2445137][R4.0-rc1-Issue-2445137] - Clear link placement problem on Modules admin page
  - (Commit: [533f6b5][R4.0-rc1-Commit-533f6b5]) Fixed WetKit WYSIWYG for #[2444357][R4.0-rc1-Issue-2444357] - Codemirror Activeline not displaying correctly
  - (Commit: [1c7cd15][R4.0-rc1-Commit-1c7cd15]) Fixed WetKit Deployment for #[2142137][R4.0-rc1-Issue-2142137] - menu link deployment - correctly deploying menu items in a language other than the current interface or current context
  - (Commit: [04ae9ca][R4.0-rc1-Commit-04ae9ca]) Fixed WetKit Bean for #[2442793][R4.0-rc1-Issue-2442793] - Twitter bean custom CSS does not render
  - (Commit: [2dd7b4a][R4.0-rc1-Commit-2dd7b4a]) Fixed WetKit Core for #[2442731][R4.0-rc1-Issue-2442731] - Entity API 7.x-1.6 released
  - (Commit: [9443627][R4.0-rc1-Commit-9443627]) Fixed WetKit Core for #[2432913][R4.0-rc1-Issue-2432913] - warning messages from hierarchical_select and features
  - (Commit: [aa3eeb1][R4.0-rc1-Commit-aa3eeb1]) Fixed WetKit Admin for #[2423955][R4.0-rc1-Issue-2423955] - Updates for WetKit Admin (1.9, 4.0-beta2)
  - (Commit: [41f1935][R4.0-rc1-Commit-41f1935]) Fixed WetKit Search for #[2423961][R4.0-rc1-Issue-2423961] - Updates for WetKit Widgets (1.9, 4.0-beta2)
  - (Commit: [678f55e][R4.0-rc1-Commit-678f55e]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [8c2812d][R4.0-rc1-Commit-8c2812d]) Fixed WetKit Admin for #[2423955][R4.0-rc1-Issue-2423955] - Updates for WetKit Admin (1.9, 4.0-beta2)
  - (Commit: [16414aa][R4.0-rc1-Commit-16414aa]) Fixed WetKit Test for Remove webform till submodule is added.
  - (Commit: [b18b6f8][R4.0-rc1-Commit-b18b6f8]) Update wetkit_test suite.
  - (Commit: [8959cc0][R4.0-rc1-Commit-8959cc0]) Fixed WetKit Deployment for #[2089133][R4.0-rc1-Issue-2089133] - Cannot create a new menu when Wetkit Deployment Source is enabled and configured
  - (Commit: [f89f5e7][R4.0-rc1-Commit-f89f5e7]) #[2427429][R4.0-rc1-Issue-2427429] - Drupal core performance if menu item is hidden skip it
  - (Commit: [28c65cc][R4.0-rc1-Commit-28c65cc]) #[2427399][R4.0-rc1-Issue-2427399] - drupal core performance inline-file_uri_scheme
  - (Commit: [52afae9][R4.0-rc1-Commit-52afae9]) Fixed WetKit Core for #[2427411][R4.0-rc1-Issue-2427411] - wetkit core performance link why is reloading the entity
  - (Commit: [b9cda4a][R4.0-rc1-Commit-b9cda4a]) Populate changelog preparing for release.
  - (Commit: [5dcbd6d][R4.0-rc1-Commit-5dcbd6d]) Fixed WetKit Core for Fix for CTools undefined string context.
  - (Commit: [788cfc6][R4.0-rc1-Commit-788cfc6]) Fixed WetKit Menu for Improve performance with minipanels + theme registry.
  - (Commit: [b61df24][R4.0-rc1-Commit-b61df24]) Addition of core patch for module_implements() verified static cache.
  - (Commit: [9537824][R4.0-rc1-Commit-9537824]) Fixed WetKit Theme for Further expand bootstraps realm.
  - (Commit: [697dcb5][R4.0-rc1-Commit-697dcb5]) Fixed WetKit Theme for Sane css defaults for Panels screen.
  - (Commit: [056f422][R4.0-rc1-Commit-056f422]) Fixed WetKit Deployment for Minor features update for environment indicators.
  - (Commit: [fed8f6a][R4.0-rc1-Commit-fed8f6a]) Fixed WetKit Bootstrap for Update bootstrap for template.php invocation patch.
  - (Commit: [d7873c4][R4.0-rc1-Commit-d7873c4]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [b6c359b][R4.0-rc1-Commit-b6c359b]) Fixed WetKit Bootstrap for Add handling for modal sizing + navbar.
  - (Commit: [ca0415e][R4.0-rc1-Commit-ca0415e]) Fixed WetKit Theme for #[2424821][R4.0-rc1-Issue-2424821] - Improvements to contextual display and panels ipe
  - (Commit: [5cd1db1][R4.0-rc1-Commit-5cd1db1]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [282520f][R4.0-rc1-Commit-282520f]) Fixed WetKit Admin for #[2423955][R4.0-rc1-Issue-2423955] - Updates for WetKit Admin (1.9, 4.0-beta2)
  - (Commit: [c5d2436][R4.0-rc1-Commit-c5d2436]) Fixed WetKit Language for #[2394485][R4.0-rc1-Issue-2394485] - Menu link translations are not being linked together
  - (Commit: [8588fb5][R4.0-rc1-Commit-8588fb5]) Fixed WetKit Bootstrap for #[2424717][R4.0-rc1-Issue-2424717] - WxT theme improvements for node.tpl.php to better match panels-pages.tpl.php
  - (Commit: [927f3d1][R4.0-rc1-Commit-927f3d1]) Fixed WetKit Deployment for #[2424241][R4.0-rc1-Issue-2424241] - Updates for WetKit Deployment (1.9, 4.0-beta2)
  - (Commit: [0f100e0][R4.0-rc1-Commit-0f100e0]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [5faf74c][R4.0-rc1-Commit-5faf74c]) Fixed WetKit Deployment for #[2424241][R4.0-rc1-Issue-2424241] - Updates for WetKit Deployment (1.9, 4.0-beta2)
  - (Commit: [12196a2][R4.0-rc1-Commit-12196a2]) Fixed WetKit Deployment for #[2424241][R4.0-rc1-Issue-2424241] - Updates for WetKit Deployment (1.9, 4.0-beta2)
  - (Commit: [ae86516][R4.0-rc1-Commit-ae86516]) Fixed WetKit Deployment for #[2424241][R4.0-rc1-Issue-2424241] - Updates for WetKit Deployment (1.9, 4.0-beta2)
  - (Commit: [dea9cc9][R4.0-rc1-Commit-dea9cc9]) Fixed WetKit Deployment for #[2424241][R4.0-rc1-Issue-2424241] - Updates for WetKit Deployment (1.9, 4.0-beta2)
  - (Commit: [93405de][R4.0-rc1-Commit-93405de]) Fixed WetKit Admin for #[2423955][R4.0-rc1-Issue-2423955] - Updates for WetKit Admin (1.9, 4.0-beta2)
  - (Commit: [1b8d552][R4.0-rc1-Commit-1b8d552]) Fixed WetKit Core for Update features from version 2.2 to 2.3
  - (Commit: [d82e1c0][R4.0-rc1-Commit-d82e1c0]) Fixed WetKit Search for #[2423961][R4.0-rc1-Issue-2423961] - Updates for WetKit Widgets (1.9, 4.0-beta2)
  - (Commit: [bdc1535][R4.0-rc1-Commit-bdc1535]) Fixed WetKit Widgets for #[2423959][R4.0-rc1-Issue-2423959] - Updates for WetKit Widgets (1.9, 4.0-beta2)
  - (Commit: [2568010][R4.0-rc1-Commit-2568010]) Fixed WetKit WYSIWYG for #[2423955][R4.0-rc1-Issue-2423955] - Updates for WetKit Admin (1.9, 4.0-beta2)
  - (Commit: [21fe779][R4.0-rc1-Commit-21fe779]) Fixed WetKit Core for #[2423861][R4.0-rc1-Issue-2423861] - Updates for WetKit Core (1.9, 4.0-beta2)
  - (Commit: [3035ca1][R4.0-rc1-Commit-3035ca1]) Fixed WetKit Admin for #[2423855][R4.0-rc1-Issue-2423855] - Updates for WetKit Admin (1.9, 4.0-beta2)
  - (Commit: [08cfa78][R4.0-rc1-Commit-08cfa78]) Fixed WetKit Language for #[2423755][R4.0-rc1-Issue-2423755] - Update i18n to recent version 1.12
  - (Commit: [4e5ed81][R4.0-rc1-Commit-4e5ed81]) Fixed WetKit Bean for #[2404271][R4.0-rc1-Issue-2404271] - Patch for bean as entity reference
  - (Commit: [4674db5][R4.0-rc1-Commit-4674db5]) Fixed WetKit Breadcrumbs for #[2423763][R4.0-rc1-Issue-2423763] - Update Path Breadcrumbs to version 3.2
  - (Commit: [2d9bca6][R4.0-rc1-Commit-2d9bca6]) Fixed WetKit Images for #[2423755][R4.0-rc1-Issue-2423755] - Update i18n to recent version 1.12
  - (Commit: [10d4f61][R4.0-rc1-Commit-10d4f61]) Fixed WetKit Language for #[2423755][R4.0-rc1-Issue-2423755] - Update i18n to recent version 1.12
  - (Commit: [5b1d97d][R4.0-rc1-Commit-5b1d97d]) Fixed WetKit Core for #[2423703][R4.0-rc1-Issue-2423703] - Update CTools to 1.6 and Panels to 3.5
  - (Commit: [9cb426f][R4.0-rc1-Commit-9cb426f]) Fixed WetKit Core for #[2423703][R4.0-rc1-Issue-2423703] - Update CTools to 1.6 and Panels to 3.5
  - (Commit: [be07bb6][R4.0-rc1-Commit-be07bb6]) Fixed WetKit Core for #[2418803][R4.0-rc1-Issue-2418803] - Fatal error when using with CTools 1.6 and Panels 3.5
  - (Commit: [fcdb00f][R4.0-rc1-Commit-fcdb00f]) Fixed WetKit Core for #[2145555][R4.0-rc1-Issue-2145555] - CTools Contexts are missing UUID support
  - (Commit: [5a94c3a][R4.0-rc1-Commit-5a94c3a]) Fixed WetKit Theme for #[2412513][R4.0-rc1-Issue-2412513] - wet-boew library 4.0.9 breaks slideshow, reverting to 4.0.7 fixes it
  - (Commit: [97820cf][R4.0-rc1-Commit-97820cf]) Fixed WetKit Test for Indent for login.feature.
  - (Commit: [e8a1348][R4.0-rc1-Commit-e8a1348]) Fixed WetKit WYSIWYG for #[2421111][R4.0-rc1-Issue-2421111] - Line Wrapping in WYSISWYG codemirror
  - (Commit: [8251e8a][R4.0-rc1-Commit-8251e8a]) Fixed WetKit Images for #[2378449][R4.0-rc1-Issue-2378449] - Performance issue with Breakpoints doubling time for drush cc all
  - (Commit: [7b598d0][R4.0-rc1-Commit-7b598d0]) Fixed WetKit Core for Update default config to latest release.
  - (Commit: [6d32713][R4.0-rc1-Commit-6d32713]) Fixed WetKit Bean for missing slideout plugin.
  - (Commit: [9abe0fd][R4.0-rc1-Commit-9abe0fd]) Fixed WetKit Core for #[2363135][R4.0-rc1-Issue-2363135] - upgrade uuid
  - (Commit: [6c5d056][R4.0-rc1-Commit-6c5d056]) Fixed WetKit WET-BOEW for Update wet-boew libraries to v4.0.10
  - (Commit: [3475fa4][R4.0-rc1-Commit-3475fa4]) Fixed WetKit Widgets for #[2416811][R4.0-rc1-Issue-2416811] - Media module recent commits forces z-index .ui-front
  - (Commit: [fad89b5][R4.0-rc1-Commit-fad89b5]) Fixed WetKit Core for #[2418725][R4.0-rc1-Issue-2418725] - Multiple taxonomies lost when using preview button
  - (Commit: [325d773][R4.0-rc1-Commit-325d773]) Fixed WetKit Core for #[2149943][R4.0-rc1-Issue-2149943] - View Draft not displaying correct revision
  - (Commit: [6c5ee41][R4.0-rc1-Commit-6c5ee41]) Update WetKit Menu for Fix for invalid #delta preventing panels preprocess.
  - (Commit: [cc767d7][R4.0-rc1-Commit-cc767d7]) Update WetKit WYSIWYG for Fix for empty tag support for span + i elements.
  - (Commit: [23f19a0][R4.0-rc1-Commit-23f19a0]) Update WetKit Core for #[2344227][R4.0-rc1-Issue-2344227] - zindex of navbar is higher than zindex of translation bar and overlaps the translation bar
  - (Commit: [460e183][R4.0-rc1-Commit-460e183]) Update WetKit Bootstrap for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [d7d0283][R4.0-rc1-Commit-d7d0283]) Update WetKit WYSIWYG for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [ec0ea25][R4.0-rc1-Commit-ec0ea25]) Update WetKit Theme for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [3b5b803][R4.0-rc1-Commit-3b5b803]) Update WetKit Search for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [30bcf2b][R4.0-rc1-Commit-30bcf2b]) Update WetKit Migration for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [dc04e1c][R4.0-rc1-Commit-dc04e1c]) Update WetKit Metatag for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [80f2e20][R4.0-rc1-Commit-80f2e20]) Update WetKit Deployment for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [d40e66d][R4.0-rc1-Commit-d40e66d]) Update WetKit Core for #[2399603][R4.0-rc1-Issue-2399603] - Wetkit translation patches
  - (Commit: [ba6bb4e][R4.0-rc1-Commit-ba6bb4e]) Update WetKit Bootstrap for Convert tabs to spaces.
  - (Commit: [fc845c1][R4.0-rc1-Commit-fc845c1]) Update WetKit Bootstrap for #[2385319][R4.0-rc1-Issue-2385319] - Clean up theme selection appearance.
  - (Commit: [9d4a548][R4.0-rc1-Commit-9d4a548]) Update WetKit Core for #[2282933][R4.0-rc1-Issue-2282933] - Menu Block support UUID
  - (Commit: [21e22bf][R4.0-rc1-Commit-21e22bf]) Update WetKit Core for Fix for custom views url.
  - (Commit: [8d5719e][R4.0-rc1-Commit-8d5719e]) Update WetKit Ember for FIx for ember images not being compressed.
  - (Commit: [ca912cb][R4.0-rc1-Commit-ca912cb]) Update WetKit Theme for #[2402785][R4.0-rc1-Issue-2402785] - Views - On change - "add" button prints out all buttons instead of keeping in a dropdown
  - (Commit: [936df64][R4.0-rc1-Commit-936df64]) Update WetKit Bootstrap for #[2406063][R4.0-rc1-Issue-2406063] - The Canada wordmark should be linking to Canada.ca
  - (Commit: [500e9d1][R4.0-rc1-Commit-500e9d1]) Update WetKit Core for #[2405993][R4.0-rc1-Issue-2405993] - Hierarchical select on edit form in bootstrap fails - server error
  - (Commit: [525c234][R4.0-rc1-Commit-525c234]) Update WetKit Bootstrap for #[2405831][R4.0-rc1-Issue-2405831] - 404 image not found - wetkit_bootstrap/images/list-item.png
  - (Commit: [0c63ede][R4.0-rc1-Commit-0c63ede]) Update WetKit Core for #[2389507][R4.0-rc1-Issue-2389507] - Reverting a revision publishes it (workbench_moderation)
  - (Commit: [cfa95cf][R4.0-rc1-Commit-cfa95cf]) Update WetKit Core for Fix for references from 2.x to 4.x version.
  - (Commit: [6b9ab7e][R4.0-rc1-Commit-6b9ab7e]) Update WetKit Test for Fix Workbench Moderation Behat.
  - (Commit: [3505255][R4.0-rc1-Commit-3505255]) Update WetKit Test for Fix Workbench Moderation Behat.
  - (Commit: [c272653][R4.0-rc1-Commit-c272653]) Update WetKit Test for Addition of workbench moderation behat test.
  - (Commit: [ec30dce][R4.0-rc1-Commit-ec30dce]) Update WetKit Panel Layouts for Remove redundant CSS for Change Layout screen.
  - (Commit: [267db10][R4.0-rc1-Commit-267db10]) Update WetKit Test for Update Pathauto Behat test.
  - (Commit: [02911b9][R4.0-rc1-Commit-02911b9]) Fix for incorrect '$' in make file.
  - (Commit: [2f4c52b][R4.0-rc1-Commit-2f4c52b]) Update WetKit WYSIWYG for #[2400039][R4.0-rc1-Issue-2400039] - Wysiwyg template inconsistency between EN and FR
  - (Commit: [113aeda][R4.0-rc1-Commit-113aeda]) Update WetKit Metatag for #[2399609][R4.0-rc1-Issue-2399609] - type textfield in wetkit_metatag.module
  - (Commit: [c3e9688][R4.0-rc1-Commit-c3e9688]) Update WetKit Migration for #[2400451][R4.0-rc1-Issue-2400451] - type textfield in wetkit_migrate.pages_default.inc
  - (Commit: [f10d6a6][R4.0-rc1-Commit-f10d6a6]) Update WetKit Menu for #[2399597][R4.0-rc1-Issue-2399597] - Fix sidebar menu heading h3 close tag
  - (Commit: [e4929c5][R4.0-rc1-Commit-e4929c5]) Update WetKit Images for #[2395449][R4.0-rc1-Issue-2395449] - picture module was updated to 2.8 release
  - (Commit: [dca2e56][R4.0-rc1-Commit-dca2e56]) Update WetKit Bootstrap for Fix for icon padding-left being overriden by WxT.
  - (Commit: [2808999][R4.0-rc1-Commit-2808999]) Update WetKit WET-BOEW for Fix for missing CSS file for IE splash page.
  - (Commit: [1909d4f][R4.0-rc1-Commit-1909d4f]) Update WetKit WET-BOEW for Fix for preprocess of CSS file breaking IE8 support.
  - (Commit: [3afe015][R4.0-rc1-Commit-3afe015]) Update WetKit Bootstrap for For for IE not recognizing initial.
  - (Commit: [1b94d53][R4.0-rc1-Commit-1b94d53]) Update WetKit WET-BOEW for Update WxT to latest v4.0.9 version.
  - (Commit: [e79f62c][R4.0-rc1-Commit-e79f62c]) Update WetKit Language for #[2394391][R4.0-rc1-Issue-2394391] - Performance improvements (Panels Plugins and i18n)
  - (Commit: [f066239][R4.0-rc1-Commit-f066239]) Update WetKit Core for #[2394391][R4.0-rc1-Issue-2394391] - Performance improvements (Panels Plugins and i18n)
  - (Commit: [c8b1276][R4.0-rc1-Commit-c8b1276]) Gear up for development.
  - (Commit: [ac2c1dd][R4.0-rc1-Commit-ac2c1dd]) Point responsinator to live demo site.
  - (Commit: [0fc2202][R4.0-rc1-Commit-0fc2202]) Point responsinator to live demo site.

## v1.8

Security Update(s):

  - Drupal Core
  - Services

Performance Update(s)

  - Two patches to Drupal Core

Features:

  - Updates to Media + File Entity (Dev to Stable tags)
  - Updated to official Metatag release (Tested update to ensure data integrity)
  - Linkit support for Entity Translation Fields with fallback option

Fixes:

  - (Commit: [2ebdbaa][R1.8-Commit-2ebdbaa]) Issue #[2387925][R1.8-Issue-2387925]: Release 1.8 blocker + Drupal 7.33 performance
  - (Commit: [c40c182][R1.8-Commit-c40c182]) Update Changelog File for 1.x branch.
  - (Commit: [0b4acde][R1.8-Commit-0b4acde]) Update WetKit Omega for Fix for theme hook registry issue with latest Omega.
  - (Commit: [461a9ab][R1.8-Commit-461a9ab]) Prepare for 1.8 release.
  - (Commit: [68cc5a3][R1.8-Commit-68cc5a3]) Update WetKit Core for Update Panopoly Magic to latest official 1.14 version.
  - (Commit: [65b260c][R1.8-Commit-65b260c]) Update WetKit Omega for Update Omega to latest official release 4.3 version.
  - (Commit: [97fd8f7][R1.8-Commit-97fd8f7]) Update WetKit Language for Update to l10n_update module.
  - (Commit: [4d0d63e][R1.8-Commit-4d0d63e]) Update WetKit Deployment for Update to services module.
  - (Commit: [c04df4e][R1.8-Commit-c04df4e]) Update WetKit Core for Updates to link and webform module.
  - (Commit: [a1be830][R1.8-Commit-a1be830]) Update WetKit Widgets for Fix for media + file entity schema issue.
  - (Commit: [6429123][R1.8-Commit-6429123]) Fix for broken Behat tests on 1.x branch.
  - (Commit: [cd0b4f0][R1.8-Commit-cd0b4f0]) Update WetKit Widgets for #[2129273][R1.8-Issue-2129273] - Media alt attributes only work via the interface (Field.attach.inc)
  - (Commit: [cf60ef5][R1.8-Commit-cf60ef5]) Update drupal-org.make
  - (Commit: [d23e033][R1.8-Commit-d23e033]) Update drupal-org.make
  - (Commit: [58dfcf7][R1.8-Commit-58dfcf7]) Add module wetkit_test for Behat abstraction.
  - (Commit: [74b7341][R1.8-Commit-74b7341]) Update changelog.md file.
  - (Commit: [b98f6db][R1.8-Commit-b98f6db]) Update WetKit Metatag for #[2382711][R1.8-Issue-2382711] - Metatag needs to be updated
  - (Commit: [8ad2839][R1.8-Commit-8ad2839]) Update WetKit Search for Fix undefined index for Facetapi.
  - (Commit: [50c6cc2][R1.8-Commit-50c6cc2]) Update WetKit Metatag for #[2382711][R1.8-Issue-2382711] - Metatag needs to be updated
  - (Commit: [86e827f][R1.8-Commit-86e827f]) Update WetKit Metatag for #[2382711][R1.8-Issue-2382711] - Metatag needs to be updated
  - (Commit: [a78e206][R1.8-Commit-a78e206]) Update WetKit Widgets for #[2366631][R1.8-Issue-2366631] - File Entity select uploaded file loc & fix replace code + Update Media
  - (Commit: [1b7e74c][R1.8-Commit-1b7e74c]) Update WetKit Bean for #[2381947][R1.8-Issue-2381947] - Translate the Override Settings string in wetkit bean
  - (Commit: [05274c8][R1.8-Commit-05274c8]) Update WetKit Bean for #[2382051][R1.8-Issue-2382051] - Make the placeholder_text in bean.search translatable
  - (Commit: [6129cee][R1.8-Commit-6129cee]) Update WetKit Breadcrumbs for #[2382087][R1.8-Issue-2382087] - Breadcrumb Settings string should be translatable
  - (Commit: [edb6305][R1.8-Commit-edb6305]) Update WetKit Admin for #[2381917][R1.8-Issue-2381917] - Custom (Code) string in panels layouts should be multilingual
  - (Commit: [b5b5846][R1.8-Commit-b5b5846]) Update WetKit Panel Layouts for #[2363257][R1.8-Issue-2363257] - Extra closing div in Dallaire layout
  - (Commit: [d266613][R1.8-Commit-d266613]) Update WetKit Panel Layouts for #[2363257][R1.8-Issue-2363257] - Extra closing div in Dallaire layout.
  - (Commit: [b2e0fdd][R1.8-Commit-b2e0fdd]) Update WetKit Admin for #[2364301][R1.8-Issue-2364301] - Provide UI to change number of terms listed on admin pages
  - (Commit: [c19dfa3][R1.8-Commit-c19dfa3]) Update WetKit Admin for #[2364301][R1.8-Issue-2364301] - Provide UI to change number of terms listed on admin pages
  - (Commit: [54e7b56][R1.8-Commit-54e7b56]) Update WetKit WYSIWYG for #[2381549][R1.8-Issue-2381549] - Linkit Improvements
  - (Commit: [e7f9a83][R1.8-Commit-e7f9a83]) Update WetKit Menu for #[2351629][R1.8-Issue-2351629] - Mega Menu minipanel not showing properly on /user/*/edit
  - (Commit: [fc59fdb][R1.8-Commit-fc59fdb]) #[2381409][R1.8-Issue-2381409] - Make install profile progress messages more descriptive
  - (Commit: [ff261ac][R1.8-Commit-ff261ac]) Update WetKit Menu for #[2339465][R1.8-Issue-2339465] - Double rendering of mini panels
  - (Commit: [354563d][R1.8-Commit-354563d]) #[2381391][R1.8-Issue-2381391] - Add multilingual to wetkit.test
  - (Commit: [614f2fd][R1.8-Commit-614f2fd]) Update WetKit Menu for #[2361983][R1.8-Issue-2361983] - Remove WetKit Menu's dependency on Migrate modules
  - (Commit: [23a0ac7][R1.8-Commit-23a0ac7]) Update Drupal core to 7.34.
  - (Commit: [2029c68][R1.8-Commit-2029c68]) Update WetKit Omega for git commit -m '#[2374829][R1.8-Issue-2374829] - panels-pane.tpl.php files out of date in wetkit-omega'
  - (Commit: [75fcfcc][R1.8-Commit-75fcfcc]) Update WetKit Theme for #[2381345][R1.8-Issue-2381345] - Missing a translation option for Choose theme submit button
  - (Commit: [d0e09e9][R1.8-Commit-d0e09e9]) Update WetKit WET-BOEW for git commit -m '#[2363233][R1.8-Issue-2363233] - content->css_class not declared'
  - (Commit: [bf41193][R1.8-Commit-bf41193]) Prepare for next version release.

## v1.7

Security Update(s):

  - Drupal Core

Fixes:

  - (Commit: [3c70096][R1.7-Commit-3c70096]) Upgrade devevelopment files to latest core.
  - (Commit: [8ef7017][R1.7-Commit-8ef7017]) Upgrade to Drupal Core 7.32 (Security Release)
  - (Commit: [6e86a04][R1.7-Commit-6e86a04]) Update WetKit Bean for Performance improvements for Bean module thanks to static invokation.
  - (Commit: [6da3dfe][R1.7-Commit-6da3dfe]) Update WetKit WYSIWYG for #[2346033][R1.7-Issue-2346033] - Fixed WetKit WYSIWYG Content CSS Files Do Not Add User Define CSS Paths.
  - (Commit: [18b9269][R1.7-Commit-18b9269]) Update WetKit Omega for #[2344473][R1.7-Issue-2344473] - Fixed Make "Modified date" reflect translation updates.
  - (Commit: [d18eafd][R1.7-Commit-d18eafd]) Update WetKit Core for #[2336189][R1.7-Issue-2336189] - Fixed deploying user-cancel from source site that has entities with no uuids remove anonymous user.
  - (Commit: [2e6d961][R1.7-Commit-2e6d961]) Update WetKit Omega for #[2343641][R1.7-Issue-2343641] - Fixed field.tpl.php.txt file appears old and out of date.
  - (Commit: [fd95d4a][R1.7-Commit-fd95d4a]) Update WetKit Core for #[2343541][R1.7-Issue-2343541] - Fixed Exposed form in block doesn't redirect to right path.
  - (Commit: [e6a5044][R1.7-Commit-e6a5044]) Update WetKit Core for #[2304581][R1.7-Issue-2304581] - Fixed Panels pane style getting applied region.
  - (Commit: [387cc3c][R1.7-Commit-387cc3c]) Update WetKit Search for Remove invalid patch specification.
  - (Commit: [a2ced2d][R1.7-Commit-a2ced2d]) Update WetKit Users for #[2304393][R1.7-Issue-2304393] - Fixed Feature conflict in default install.
  - (Commit: [6fd8dd4][R1.7-Commit-6fd8dd4]) Update WetKit Language for #[2325435][R1.7-Issue-2325435] - Fixed can't create features.
  - (Commit: [833dc54][R1.7-Commit-833dc54]) Update WetKit WYSIWYG for Remove invalid modules on 1.x branch.
  - (Commit: [8780e63][R1.7-Commit-8780e63]) Update WetKit Search for #[2328105][R1.7-Issue-2328105] - Fixed Custom Search JavaScript Typo.
  - (Commit: [cfe3f5f][R1.7-Commit-cfe3f5f]) Update WetKit Core for #[2327287][R1.7-Issue-2327287] - Fixed Webforms on submit give 404.
  - (Commit: [ada6840][R1.7-Commit-ada6840]) Update WetKit Bean for #[2332281][R1.7-Issue-2332281] - Fixed Search Data label not translatable"
  - (Commit: [5a996de][R1.7-Commit-5a996de]) Update WetKit Admin for #[2332275][R1.7-Issue-2332275] - Fixed Update contrib modules for WetKit Admin v1.6.
  - (Commit: [6716ba0][R1.7-Commit-6716ba0]) Update WetKit Breadcrumbs for #[2332263][R1.7-Issue-2332263] - Fixed Update contrib modules for WetKit Breadcrumbs v1.5.
  - (Commit: [21efa14][R1.7-Commit-21efa14]) Update WetKit Core for Move Querypath library to WetKit Migrate.
  - (Commit: [b6bd721][R1.7-Commit-b6bd721]) Update WetKit Search for correct hash.
  - (Commit: [4f20669][R1.7-Commit-4f20669]) Update WetKit Migration for #[2332207][R1.7-Issue-2332207] - Fixed Update contrib modules for WetKit Migrate v1.6.
  - (Commit: [8a736d2][R1.7-Commit-8a736d2]) Update WetKit Language for #[2332147][R1.7-Issue-2332147] - Fixed Update contrib modules for Language v1.8.
  - (Commit: [000f863][R1.7-Commit-000f863]) Update WetKit Search for #[2331839][R1.7-Issue-2331839] - Fixed Update contrib modules for WetKit Search v1.6.
  - (Commit: [79ed87d][R1.7-Commit-79ed87d]) Update WetKit WYSIWYG for Remove deprecated TinyMCE plugin.
  - (Commit: [98b7538][R1.7-Commit-98b7538]) Update WetKit Ember for #[2331755][R1.7-Issue-2331755] - Fixed Update Ember Theme.
  - (Commit: [10fff90][R1.7-Commit-10fff90]) Update WetKit Ember for #[2331755][R1.7-Issue-2331755] - Fixed Update Ember Theme.
  - (Commit: [74959b8][R1.7-Commit-74959b8]) Updates git hash for WetKit Wysiwyg.
  - (Commit: [4b5edb4][R1.7-Commit-4b5edb4]) Start work for next release of the 1.7 version.
  - (Commit: [d42e551][R1.7-Commit-d42e551]) Update WetKit Wysiwyg for #[2331671][R1.7-Issue-2331671] - Fixed Update linkit and wysiwyg to latest dev.

## v1.6

Security Update(s):

  - Drupal Core

Fixes:

  - (Commit: [7ee8329][R1.6-Commit-7ee8329]) Update drupal-org.make file.
  - (Commit: [ea44037][R1.6-Commit-ea44037]) Update WetKit Deployment for #[2321597][R1.6-Issue-2321597] - Fixed Deployment screen occasionally doesn't work.
  - (Commit: [6bb7b0c][R1.6-Commit-6bb7b0c]) Update WetKit Migration for #[2321597][R1.6-Issue-2321597] - Fixed Deployment screen occasionally doesn't work.
  - (Commit: [eea2fd8][R1.6-Commit-eea2fd8]) Update drupal-org.make to point to stable revisions.
  - (Commit: [1969bde][R1.6-Commit-1969bde]) Update WetKit Core for #[2282933][R1.6-Issue-2282933] - Fixed Menu Block support UUID.
  - (Commit: [80b8707][R1.6-Commit-80b8707]) Update WetKit Migration for #[2290027][R1.6-Issue-2290027] - Fixed Migrate - Create stub does not keep existing UUID.
  - (Commit: [eb8589f][R1.6-Commit-eb8589f]) Update WetKit Ember for #[2284345][R1.6-Issue-2284345] - Fixed views add button above field section instead of inside field section.
  - (Commit: [08637fc][R1.6-Commit-08637fc]) Update WetKit Widgets for #[2321011][R1.6-Issue-2321011] - Fixed File Entity + Media updates.
  - (Commit: [c912fc0][R1.6-Commit-c912fc0]) Update WetKit Core for #[2289085][R1.6-Issue-2289085] - Added Allow user to delete the current non-published revision.
  - (Commit: [9b3540d][R1.6-Commit-9b3540d]) Update WetKit Ember for #[2303747][R1.6-Issue-2303747] - Fixed admin theme wetkit_ember causes Problems in Metatag option to 'Browse available tokens'.
  - (Commit: [5641133][R1.6-Commit-5641133]) Update WetKit Metatag for #[2297969][R1.6-Issue-2297969] - Fixed French home page identifies it's language as ENG.
  - (Commit: [89a5e7c][R1.6-Commit-89a5e7c]) Update WetKit Omega for #[2308809][R1.6-Issue-2308809] - Fixed Some regions selectable using block UI but fail to show block content.
  - (Commit: [2a2addf][R1.6-Commit-2a2addf]) Update WetKit Widgets for #[2281631][R1.6-Issue-2281631] - Fixed Cannot use the media browser after upgrade to 1.5.
  - (Commit: [8f42e12][R1.6-Commit-8f42e12]) Update WetKit Deployment for #[2282931][R1.6-Issue-2282931] - Fixed Incorrect roles are sometimes saved by UUID services via deploy.
  - (Commit: [8679753][R1.6-Commit-8679753]) Update WetKit Breadcrumbs for #[2301697][R1.6-Issue-2301697] - Wetkit Breadcrumb "You are here" should be removed.
  - (Commit: [549c932][R1.6-Commit-549c932]) Update WetKit Omega for #[2232467][R1.6-Issue-2232467] - Fixed wetkit_omega node.tpl is outputting 'class' twices.
  - (Commit: [853acf7][R1.6-Commit-853acf7]) Update WetKit Omega for #[2303623][R1.6-Issue-2303623] - Fixed custom_search outputting empty attributes.
  - (Commit: [bf9fc59][R1.6-Commit-bf9fc59]) #[2289353][R1.6-Issue-2289353] - Fixed patch to core in order to pass w3c url validation (proper encoding for square brackets).
  - (Commit: [15b381a][R1.6-Commit-15b381a]) Update Drupal from 7.28 to 7.31 stable.
  - (Commit: [b600df5][R1.6-Commit-b600df5]) Update WetKit Core for #[2319887][R1.6-Issue-2319887] - Fixed Security Updates + Fixes for WetKit Core (1.x).
  - (Commit: [fb15246][R1.6-Commit-fb15246]) Prepare for next 1.x release.

## v1.5

Security Update(s):

  - Drupal Core
  - Organic Groups
  - Password Policy
  - Views

Features:

  - Panels DX improvements
  - Numerous bug fixes across contrib + custom space
  - Tighter deploy + uuid handling for edge cases
  - Multilingual fixes to i18n
  - Panelizer Updates (Module should still be used with caution)

Fixes:

  - (Commit: [96fd513][R1.5-Commit-96fd513]) #[2262917][R1.5-Issue-2262917] -  Update Drupal Core to 7.28.
  - (Commit: [0ec9bea][R1.5-Commit-0ec9bea]) #[2269099][R1.5-Issue-2269099] -  Force password change on next login prevents logins.
  - (Commit: [11340a9][R1.5-Commit-11340a9]) #[2256435][R1.5-Issue-2256435] -  New layout (Polley).
  - (Commit: [df07c24][R1.5-Commit-df07c24]) #[2219473][R1.5-Issue-2219473] -  Allow for the disabling of Update Manager.
  - (Commit: [a06f14f][R1.5-Commit-a06f14f]) #[2262919][R1.5-Issue-2262919] -  Organic Groups (OG) - Access Bypass.
  - (Commit: [7723c47][R1.5-Commit-7723c47]) #[2275701][R1.5-Issue-2275701] -  Added Ctools patches.
  - (Commit: [fe98705][R1.5-Commit-fe98705]) #[2275217][R1.5-Issue-2275217] -  Cannot unset string offsets
  - (Commit: [c925292][R1.5-Commit-c925292]) #[2250501][R1.5-Issue-2250501] -  Fixed Node edit page shows menu items in all languages.
  - (Commit: [1babea2][R1.5-Commit-1babea2]) #[2271403][R1.5-Issue-2271403] -  Fixed Cannot access empty property field.attach.inc.
  - (Commit: [1e60e61][R1.5-Commit-1e60e61]) #[2276049][R1.5-Issue-2276049] -  Update l10n_update to 1.0 release.
  - (Commit: [e360c6a][R1.5-Commit-e360c6a]) #[2271309][R1.5-Issue-2271309] -  Fixed Adding a wet video through Media renders with errors.
  - (Commit: [f8227ff][R1.5-Commit-f8227ff]) #[2278399][R1.5-Issue-2278399] -  Fixed Saving translation text can result in error.
  - (Commit: [4890142][R1.5-Commit-4890142]) #[2278755][R1.5-Issue-2278755] -  Fixed Security updates for Views + Password Policy.
  - (Commit: [7b7e3d5][R1.5-Commit-7b7e3d5]) #[2278759][R1.5-Issue-2278759] -  Fixed Update admin views.
  - (Commit: [48fd741][R1.5-Commit-48fd741]) #[2275851][R1.5-Issue-2275851] -  Picture plugin (wysiwyg) updates.
  - (Commit: [569a370][R1.5-Commit-569a370]) #[2279051][R1.5-Issue-2279051] -  Add new backend layout (Siris).
  - (Commit: [fc167b3][R1.5-Commit-fc167b3]) #[2279067][R1.5-Issue-2279067] -  Fixed Deletes metatag content when revision is empty.
  - (Commit: [966911a][R1.5-Commit-966911a]) #[2279085][R1.5-Issue-2279085] -  Add Term access handler for UUID.
  - (Commit: [c0e67a2][R1.5-Commit-c0e67a2]) #[2279665][R1.5-Issue-2279665] -  Fixed CTools Patches for minor bugs.
  - (Commit: [7e06ba0][R1.5-Commit-7e06ba0]) #[2279759][R1.5-Issue-2279759] -  Fixed Update File Entity + Media to latest dev.
  - (Commit: [d87e659][R1.5-Commit-d87e659]) #[2279771][R1.5-Issue-2279771] -  Fixed Workbench Moderation + VBO.
  - (Commit: [32b0d9b][R1.5-Commit-32b0d9b]) #[2279795][R1.5-Issue-2279795] -  Fixed Panels tabs styles don't allow custom naming.
  - (Commit: [452bb91][R1.5-Commit-452bb91]) #[2279251][R1.5-Issue-2279251] -  Fixed delete a menu item on source does not delete on dest.
  - (Commit: [00c5069][R1.5-Commit-00c5069]) #[2279943][R1.5-Issue-2279943] -  Fixed Metatags + Entity Translation + Deployment.
  - (Commit: [0fb5cd3][R1.5-Commit-0fb5cd3]) #[2280109][R1.5-Issue-2280109] -  Fixed Patches to Entity Translation 1.0-beta3.
  - (Commit: [93a8fa1][R1.5-Commit-93a8fa1]) #[2280115][R1.5-Issue-2280115] -  Fixed Patches to Omega 4.2 (Remove Nag Screen + Metatags Order).
  - (Commit: [3cd5200][R1.5-Commit-3cd5200]) #[2280189][R1.5-Issue-2280189] -  Fixed Custom Search + Search API with Solr support.
  - (Commit: [e615e65][R1.5-Commit-e615e65]) #[2280679][R1.5-Issue-2280679] -  Fixed update date_facets in wetkit_search.
  - (Commit: [f15ff03][R1.5-Commit-f15ff03]) #[2280863][R1.5-Issue-2280863] -  Fixed Update Panelizer to latest dev.

## v1.4

Security Update(s):

  - Drupal Core
  - Custom Search
  - Fape
  - Internationalization

Features:

  - Stabilization of WxT Search modules.
  - Multiple Bean fixes
  - Multiple theme layer fixes
  - Performance improvements from Acquia
  - Numerous Behat additions
  - Switch to full build of CKEditor
  - Updated WxT jQuery framework to v3 release (3.1.10) before move to bootstrap in v4

Fixes:

  - (Commit: [5d45a49][R1.4-Commit-5d45a49]) #[2227797][R1.4-Issue-2227797] -  CTools Patches since 1.4.
  - (Commit: [b540b79][R1.4-Commit-b540b79]) #[2219547][R1.4-Issue-2219547] -  Date facets.
  - (Commit: [f54c85e][R1.4-Commit-f54c85e]) #[2212509][R1.4-Issue-2212509] -  Editor role (Part 1).
  - (Commit: [ac36290][R1.4-Commit-ac36290]) #[2212509][R1.4-Issue-2212509] -  Editor role (Part 2).
  - (Commit: [2021c16][R1.4-Commit-2021c16]) #[2212501][R1.4-Issue-2212501] -  Mini pager needs to be better themed.
  - (Commit: [23426f0][R1.4-Commit-23426f0]) #[2227857][R1.4-Issue-2227857] -  Upgrade Migrate to latest Dev.
  - (Commit: [b97b38f][R1.4-Commit-b97b38f]) #[2227873][R1.4-Issue-2227873] -  Update Ember (Part 1).
  - (Commit: [adf7583][R1.4-Commit-adf7583]) #[2227873][R1.4-Issue-2227873] -  Update Ember (Part 2).
  - (Commit: [c175a13][R1.4-Commit-c175a13]) #[2229433][R1.4-Issue-2229433] -  WetKit Search incorrectly redirects Search API.
  - (Commit: [8fec444][R1.4-Commit-8fec444]) #[2229457][R1.4-Issue-2229457] -  Patch WYSIWYG so can hit text filter selection form.
  - (Commit: [678b249][R1.4-Commit-678b249]) #[2211505][R1.4-Issue-2211505] -  Focus on last CKEditor Instance.
  - (Commit: [3942f3d][R1.4-Commit-3942f3d]) #[2229469][R1.4-Issue-2229469] -  Minor HTML encoding issues with WetKit Users.
  - (Commit: [1205dda][R1.4-Commit-1205dda]) #[2229481][R1.4-Issue-2229481] -  Media Images default view mode broken on edit.
  - (Commit: [11443b3][R1.4-Commit-11443b3]) #[2229525][R1.4-Issue-2229525] -  WetKit Admin Panels Pages warnings in php 5.4.
  - (Commit: [041e2b8][R1.4-Commit-041e2b8]) #[2229529][R1.4-Issue-2229529] -  Updates to WetKit Core (7.x-1.8).
  - (Commit: [613b771][R1.4-Commit-613b771]) #[2229529][R1.4-Issue-2229529] -  Updates to WetKit Core (7.x-1.8).
  - (Commit: [de0a193][R1.4-Commit-de0a193]) #[2229529][R1.4-Issue-2229529] -  Updates to WetKit Core (7.x-1.8).
  - (Commit: [6e5db22][R1.4-Commit-6e5db22]) #[2230019][R1.4-Issue-2230019] -  Dashboard error array_key_exists when comments enabled.
  - (Commit: [f171bdc][R1.4-Commit-f171bdc]) #[2230929][R1.4-Issue-2230929] -  Remove "Disable Developer Modules" link in admin menu.
  - (Commit: [ef5fa1e][R1.4-Commit-ef5fa1e]) #[2219805][R1.4-Issue-2219805] -  Customize our CKEditor build (Community).
  - (Commit: [f74ab60][R1.4-Commit-f74ab60]) #[2231787][R1.4-Issue-2231787] -  Field_group module "div" formatter outputs invalid markup.
  - (Commit: [586ed8c][R1.4-Commit-586ed8c]) #[2232913][R1.4-Issue-2232913] -  Update jQuery Update latest stable.
  - (Commit: [7bb2b8f][R1.4-Commit-7bb2b8f]) #[2232923][R1.4-Issue-2232923] -  Bean ET Block Translation Patch.
  - (Commit: [599ac18][R1.4-Commit-599ac18]) #[2232935][R1.4-Issue-2232935] -  WetKit Language update.
  - (Commit: [fecc3b1][R1.4-Commit-fecc3b1]) #[2232947][R1.4-Issue-2232947] -  WetKit OG Updates.
  - (Commit: [756c476][R1.4-Commit-756c476]) #[2232951][R1.4-Issue-2232951] -  Wetkit Deployment Updates (v1.4).
  - (Commit: [b3770f9][R1.4-Commit-b3770f9]) #[2232953][R1.4-Issue-2232953] -  WetKit Widgets Update (v1.4).
  - (Commit: [42c031d][R1.4-Commit-42c031d]) #[2232957][R1.4-Issue-2232957] -  WetKit Search Updates (v1.4).
  - (Commit: [af200f0][R1.4-Commit-af200f0]) #[2232957][R1.4-Issue-2232957] -  WetKit Search Updates (v1.4).
  - (Commit: [63ff1cd][R1.4-Commit-63ff1cd]) #[2199997][R1.4-Issue-2199997] -  Improve the whole menu workflow.
  - (Commit: [4334ac7][R1.4-Commit-4334ac7]) #[2246827][R1.4-Issue-2246827] -  Missing access control for WxT Migrate.
  - (Commit: [4fdda14][R1.4-Commit-4fdda14]) #[2246833][R1.4-Issue-2246833] -  WxT Images is to aggressive in labels.
  - (Commit: [ad9334b][R1.4-Commit-ad9334b]) #[2246835][R1.4-Issue-2246835] -  Missing access control for WxT Deployment.
  - (Commit: [ebdb70d][R1.4-Commit-ebdb70d]) #[2246837][R1.4-Issue-2246837] -  Add Drupal static caching to WxT Menu.
  - (Commit: [b485439][R1.4-Commit-b485439]) #[2246839][R1.4-Issue-2246839] -  Caching of regions populated in hook_preprocess_page().
  - (Commit: [9c71601][R1.4-Commit-9c71601]) #[2246841][R1.4-Issue-2246841] -  Updates to WxT Ember (7.x-1.4).
  - (Commit: [82fa4cc][R1.4-Commit-82fa4cc]) #[2246853][R1.4-Issue-2246853] -  Update to Drupal 7.27 for SA-CORE-2014-002.
  - (Commit: [864c97a][R1.4-Commit-864c97a]) #[2215023][R1.4-Issue-2215023] -  Font-family on submit buttons not working (CSS error).
  - (Commit: [21d8e98][R1.4-Commit-21d8e98]) #[2171255][R1.4-Issue-2171255] -  When LinkIt loads the popup isn't aligned.
  - (Commit: [62064fb][R1.4-Commit-62064fb]) #[2232467][R1.4-Issue-2232467] -  Wetkit_omega node.tpl is outputting 'class' twices.
  - (Commit: [53099b9][R1.4-Commit-53099b9]) #[2248433][R1.4-Issue-2248433] -  SA-CONTRIB-2014-043 - Custom Search (XSS).
  - (Commit: [58e1342][R1.4-Commit-58e1342]) #[2248435][R1.4-Issue-2248435] -  SA-CONTRIB-2014-042 - Internationalization.
  - (Commit: [8c687dc][R1.4-Commit-8c687dc]) #[2254353][R1.4-Issue-2254353] -  Fixes for WxT Bean + Behat.
  - (Commit: [19ee35e][R1.4-Commit-19ee35e]) #[2255169][R1.4-Issue-2255169] -  Updates to WxT Language (7.x-1.6).
  - (Commit: [36eceda][R1.4-Commit-36eceda]) #[2229529][R1.4-Issue-2229529] -  Updates to WetKit Core (7.x-1.8).
  - (Commit: [e54529c][R1.4-Commit-e54529c]) #[2187771][R1.4-Issue-2187771] -  Media patches for WxT.
  - (Commit: [7469676][R1.4-Commit-7469676]) #[2256611][R1.4-Issue-2256611] -  Updates to WxT Admin (7.x-1.4).
  - (Commit: [8fa448f][R1.4-Commit-8fa448f]) #[2256723][R1.4-Issue-2256723] -  Update core jQuery WET-BOEW to v3.1.10.

## v1.3

Security Update(s):

  - Services
  - Webform

Features:

  - Node Edit screen now prefers backend theme
  - Behat Tests
  - Features are completely reverted
  - New submodule wetkit_update to guide user in upgrade process
  - Even more modules have been set to stable release tag
  - Panelizer removed as default for wetkit_page
  - Styling improvement for Views + Ember
  - Refactored menu workflow (menu block works with WxT markup)

Fixes:

  - (Commit: [677730d][R1.3-Commit-677730d]) #[2177753][R1.3-Issue-2177753] -  Configuring pane title background style.
  - (Commit: [c0fe19d][R1.3-Commit-c0fe19d]) #[2177741][R1.3-Issue-2177741] -  Needs a setting to configure pane title background.
  - (Commit: [1886fad][R1.3-Commit-1886fad]) #[2178341][R1.3-Issue-2178341] -  Wetkit Bean outputs an empty H2 and assiated title_field markup.
  - (Commit: [32fa225][R1.3-Commit-32fa225]) #[2177627][R1.3-Issue-2177627] -  Allowing to add classes to a top-section menu item.
  - (Commit: [f70a208][R1.3-Commit-f70a208]) #[2185513][R1.3-Issue-2185513] -  Wetkit_bean slideshow generates errors.
  - (Commit: [de72d0d][R1.3-Commit-de72d0d]) #[2178469][R1.3-Issue-2178469] -  Linkit search results should include the URL of the page.
  - (Commit: [a7691a2][R1.3-Commit-a7691a2]) #[2181155][R1.3-Issue-2181155] -  Bean for implementing a Slide-out tab.
  - (Commit: [8128ef6][R1.3-Commit-8128ef6]) #[2184761][R1.3-Issue-2184761] -  Webform conditional not working.
  - (Commit: [ece42ff][R1.3-Commit-ece42ff]) #[2187447][R1.3-Issue-2187447] -  Update views bulk operations.
  - (Commit: [ba0c210][R1.3-Commit-ba0c210]) #[2192255][R1.3-Issue-2192255] -  Update Omega to stable 4.2 (Part 1).
  - (Commit: [81e8629][R1.3-Commit-81e8629]) #[2192261][R1.3-Issue-2192261] -  Ember Padding is to aggressive.
  - (Commit: [93a41e2][R1.3-Commit-93a41e2]) #[2192263][R1.3-Issue-2192263] -  Important jQuery Update patches.
  - (Commit: [3374402][R1.3-Commit-3374402]) #[2192269][R1.3-Issue-2192269] -  Upgrade Path Breadcrumbs to 3.0-rc1.
  - (Commit: [ece42ff][R1.3-Commit-ece42ff]) #[2192275][R1.3-Issue-2192275] -  Updates to WetKit Core (Part 1).
  - (Commit: [a93f218][R1.3-Commit-a93f218]) #[2187771][R1.3-Issue-2187771] -  Saving Media in IE + FF.
  - (Commit: [7c0c721][R1.3-Commit-7c0c721]) #[2192255][R1.3-Issue-2192255] -  Update Omega to stable 4.2 (Part 2).
  - (Commit: [f4adba4][R1.3-Commit-f4adba4]) #[2187383][R1.3-Issue-2187383] -  Align with upcoming stable release of Panels + CTools.
  - (Commit: [6de3bd9][R1.3-Commit-6de3bd9]) #[2187383][R1.3-Issue-2187383] -  Align with upcoming stable release of Panels + CTools.
  - (Commit: [1f43792][R1.3-Commit-1f43792]) #[2192275][R1.3-Issue-2192275] -  Updates to WetKit Core (Part 2).
  - (Commit: [5ec2cb8][R1.3-Commit-5ec2cb8]) #[2192255][R1.3-Issue-2192255] -  Update Omega to stable 4.2 (Part 3).
  - (Commit: [0371ea4][R1.3-Commit-0371ea4]) #[2192395][R1.3-Issue-2192395] -  WetKit Images + WetKit Wysiwyg Features Overridden.
  - (Commit: [58d2d8b][R1.3-Commit-58d2d8b]) #[2192413][R1.3-Issue-2192413] -  Updates to WetKit Language.
  - (Commit: [16e955b][R1.3-Commit-16e955b]) #[2192413][R1.3-Issue-2192413] -  Updates to WetKit Core (Part 3).
  - (Commit: [43ea1b2][R1.3-Commit-43ea1b2]) #[2187383][R1.3-Issue-2187383] -  Align with upcoming stable release of Panels + CTools.
  - (Commit: [3f08637][R1.3-Commit-3f08637]) #[2194969][R1.3-Issue-2194969] -  Webform Security Release.
  - (Commit: [061f981][R1.3-Commit-061f981]) #[2195995][R1.3-Issue-2195995] -  Fix Permission Issue with WxT.
  - (Commit: [82c0d96][R1.3-Commit-82c0d96]) #[2192275][R1.3-Issue-2192275] -  Updates to WetKit Core (Part 3).
  - (Commit: [d872c8a][R1.3-Commit-d872c8a]) #[2196529][R1.3-Issue-2196529] -  Minor Stable Release updates to WxT Deploy.
  - (Commit: [91c498d][R1.3-Commit-91c498d]) #[2197929][R1.3-Issue-2197929] -  Adopt Open Atriums concept of Distribution Update module.
  - (Commit: [9cbb486][R1.3-Commit-9cbb486]) #[2197991][R1.3-Issue-2197991] -  Adopt Open Atriums concept of Distribution Update module.
  - (Commit: [bf841c3][R1.3-Commit-bf841c3]) #[2182663][R1.3-Issue-2182663] -  Page variants re-ordering (Pages).
  - (Commit: [599d4e1][R1.3-Commit-599d4e1]) #[2182663][R1.3-Issue-2182663] -  Page variants re-ordering (Migrate).
  - (Commit: [b0c8ff8][R1.3-Commit-b0c8ff8]) #[2198973][R1.3-Issue-2198973] -  Update File Entity + Fix Features Overrides.
  - (Commit: [605119b][R1.3-Commit-605119b]) #[2198991][R1.3-Issue-2198991] -  Update WetKit Menu.
  - (Commit: [cbd0ed2][R1.3-Commit-cbd0ed2]) #[2192275][R1.3-Issue-2192275] -  Updates to WetKit Core (Part 4).
  - (Commit: [b6e9f33][R1.3-Commit-b6e9f33]) #[2192275][R1.3-Issue-2198973] -  Update File Entity + Fix Features Overrides.
  - (Commit: [c50303b][R1.3-Commit-c50303b]) #[2192275][R1.3-Issue-2198973] -  Fix Features Overrides.
  - (Commit: [d840632][R1.3-Commit-d840632]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Widgets).
  - (Commit: [caff26a][R1.3-Commit-caff26a]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Core).
  - (Commit: [4af8a78][R1.3-Commit-4af8a78]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Menu).
  - (Commit: [6686f74][R1.3-Commit-6686f74]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Menu).
  - (Commit: [74847a1][R1.3-Commit-74847a1]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Menu).
  - (Commit: [551a9a3][R1.3-Commit-551a9a3]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Core).
  - (Commit: [74aa724][R1.3-Commit-74aa724]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Core).
  - (Commit: [b5143be][R1.3-Commit-b5143be]) #[2199997][R1.3-Issue-2199997] -  Improve the whole menu workflow (Menu).
  - (Commit: [51af187][R1.3-Commit-51af187]) #[2200933][R1.3-Issue-2200933] -  Remove panelizer as default for WetKit Page.
  - (Commit: [f15a135][R1.3-Commit-f15a135]) #[2199391][R1.3-Issue-2199391] -  Javascript error Cannot set property Layout of undefined.
  - (Commit: [07266d8][R1.3-Commit-07266d8]) #[2192275][R1.3-Issue-2192275] -  Updates to WetKit Core (Part 5).
  - (Commit: [3d5a897][R1.3-Commit-3d5a897]) #[2202319][R1.3-Issue-2202319] -  Use the administration theme when editing or creating content.
  - (Commit: [0bfc560][R1.3-Commit-0bfc560]) #[2202319][R1.3-Issue-2202319] -  Use the administration theme when editing or creating content.
  - (Commit: [48c1e40][R1.3-Commit-48c1e40]) #[2202319][R1.3-Issue-2202319] -  Use the administration theme when editing or creating content.
  - (Commit: [5afb762][R1.3-Commit-5afb762]) #[2201483][R1.3-Issue-2201483] -  Best way to offer more rich-text editor controls to the user.
  - (Commit: [0eb3bcc][R1.3-Commit-0eb3bcc]) #[2203141][R1.3-Issue-2203141] -  Fix for new Media Browser Title.
  - (Commit: [0e2af9e][R1.3-Commit-0e2af9e]) #[2203141][R1.3-Issue-2203141] -  Fix for new Media Browser Title.

## v1.2

Security Update(s):

  - Drupal Core (7.26)
  - Entity API

Features:

  - A great deal of modules have been set to stable tag
  - Ember base theme has been significantly improved
  - Performance improvements
  - Work will now being on 2.x branch for bootstrap (stability for 1.x)
  - New release cycle at mid month when security releases come out

Fixes:

  - (Commit: [26bfbe5][R1.2-Commit-26bfbe5]) #[2173403][R1.2-Issue-2173403] - Adding extra sharing sites.
  - (Commit: [470071c][R1.2-Commit-470071c]) #[2175767][R1.2-Issue-2175767] - Declare translatable field for Featured Image.
  - (Commit: [41c8765][R1.2-Commit-9756256]) #[2173391][R1.2-Issue-2173391] - Updating share widget for email and source tag.
  - (Commit: [b107e98][R1.2-Commit-b107e98]) #[2176457][R1.2-Issue-2176457] - Small adjustments to WetKit Search.
  - (Commit: [2383101][R1.2-Commit-2383101]) #[2176487][R1.2-Issue-2176487] - WetKit Core Updates (Part 1).
  - (Commit: [9ccea63][R1.2-Commit-9ccea63]) #[2176519][R1.2-Issue-2176519] - WetKit Breadcrumbs Update.
  - (Commit: [d5f1d97][R1.2-Commit-d5f1d97]) #[2176527][R1.2-Issue-2176527] - WetKit Metatags Update.
  - (Commit: [482f756][R1.2-Commit-482f756]) #[2176527][R1.2-Issue-2176567] - Fix for undefined panels display::UUID in wetkit_i18n_panels.
  - (Commit: [3a018be][R1.2-Commit-3a018be]) #[2176571][R1.2-Issue-2176571] - Updates to WetKit Language.
  - (Commit: [3178bf4][R1.2-Commit-3178bf4]) #[2176577][R1.2-Issue-2176577] - Remove widget Tabbed Inteface in favor of the Bean Media functionality.
  - (Commit: [cc4e7bb][R1.2-Commit-cc4e7bb]) #[2176527][R1.2-Issue-2176527] - WetKit Metatags Update.
  - (Commit: [cc4e7bb][R1.2-Commit-cc4e7bb]) #[2176527][R1.2-Issue-2176527] - WetKit Metatags Update.
  - (Commit: [fcaae17][R1.2-Commit-fcaae17]) #[2176603][R1.2-Issue-2176603] - Improve Ember base Theme (Part 1).
  - (Commit: [75e5f04][R1.2-Commit-75e5f04]) #[2176825][R1.2-Issue-2176825] - CodeSniffer Updates (WetKit Admin).
  - (Commit: [517a8f5][R1.2-Commit-517a8f5]) #[2176825][R1.2-Issue-2176825] - CodeSniffer Updates (WetKit Wysiwyg).
  - (Commit: [a5f02e6][R1.2-Commit-a5f02e6]) #[2176487][R1.2-Issue-2176487] - WetKit Core Updates (Part 2).
  - (Commit: [8981be2][R1.2-Commit-8981be2]) #[2176603][R1.2-Issue-2176603] - Improve Ember base Theme (Part 2).
  - (Commit: [eb311e3][R1.2-Commit-eb311e3]) #[2176603][R1.2-Issue-2176603] - Improve Ember base Theme (Part 3).
  - (Commit: [b357bac][R1.2-Commit-b357bac]) #[2168363][R1.2-Issue-2168363] - Site_name_url without clean url (Part 1).
  - (Commit: [677730d][R1.2-Commit-677730d]) #[2168363][R1.2-Issue-2168363] - Site_name_url without clean url (Part 2).
  - (Commit: [192811a][R1.2-Commit-192811a]) #[2176973][R1.2-Issue-2176973] -  Fix admin_menu implementation (Part 1).
  - (Commit: [f61ec36][R1.2-Commit-f61ec36]) #[2176973][R1.2-Issue-2176973] -  Fix admin_menu implementation (Part 2).
  - (Commit: [309895b][R1.2-Commit-309895b]) #[2176523][R1.2-Issue-2176523] -  Why no more "Promoted to front page"? (Part 1).
  - (Commit: [37b5d37][R1.2-Commit-37b5d37]) #[2176523][R1.2-Issue-2176523] -  Why no more "Promoted to front page"? (Part 2).
  - (Commit: [4e36f15][R1.2-Commit-4e36f15]) #[2176523][R1.2-Issue-2176523] -  Why no more "Promoted to front page"? (Part 3).
  - (Commit: [0be3895][R1.2-Commit-0be3895]) #[2160677][R1.2-Issue-2160677] -  Double drop down arrows in IE 9.

## v1.1

Features:

  - More Stabilization
  - Lots of minor bugs fixed
  - Introduction of Picture + Media Query

Bug Fixes:

  - (Commit: [41c8765][R1.1-Commit-41c8765]) #[2154261][R1.1-Issue-2154261] - Add Full support for WxT's Responsive Images (Bean).
  - (Commit: [8bd38f7][R1.1-Commit-8bd38f7]) #[8bd38f7][R1.1-Issue-2154261] - Add Full support for WxT's Responsive Images (Images).
  - (Commit: [0617a33][R1.1-Commit-0617a33]) #[2154261][R1.1-Issue-2154261] - Add Full support for WxT's Responsive Images (Wysiwyg).
  - (Commit: [e154bcf][R1.1-Commit-e154bcf]) #[2149799][R1.1-Issue-2149799] - Configure Pane Background should have default.
  - (Commit: [ee5adf0][R1.1-Commit-ee5adf0]) #[2155337][R1.1-Issue-2155337] - Prevent WxT Mobile + Permission.
  - (Commit: [1c4970e][R1.1-Commit-1c4970e]) #[2155371][R1.1-Issue-2155371] - Mislabelled File Name in WetKit Search API.
  - (Commit: [9b9071f][R1.1-Commit-9b9071f]) #[2158659][R1.1-Issue-2158659] - Addition of Mackenzie Layout.
  - (Commit: [3f340d2][R1.1-Commit-3f340d2]) #[2155411][R1.1-Issue-2155411] - Activating Theme Developer module brings site down.
  - (Commit: [d4a45a2][R1.1-Commit-d4a45a2]) #[2155545][R1.1-Issue-2155545] - Admin title for search facet in panels.
  - (Commit: [9be1cac][R1.1-Commit-9be1cac]) #[2153185][R1.1-Issue-2153185] - Uuid_features - undefined_index with bundles.
  - (Commit: [48f8970][R1.1-Commit-48f8970]) #[2144347][R1.1-Issue-2144347] - Web Installer doesn't display errors.
  - (Commit: [21957bd][R1.1-Commit-21957bd]) #[2160657][R1.1-Issue-2160657] - Media Filter doesn't correctly handle multiple images (1).
  - (Commit: [05f03ff][R1.1-Commit-05f03ff]) #[2160657][R1.1-Issue-2160657] - Media Filter doesn't correctly handle multiple images (2).
  - (Commit: [9dd8772][R1.1-Commit-9dd8772]) #[2157757][R1.1-Issue-2157757] - Using Format Grid w/ Striping Enabled Does Not Work.
  - (Commit: [5cf0580][R1.1-Commit-5cf0580]) #[2165193][R1.1-Issue-2165193] - Metatag description not displaying in HTML head.
  - (Commit: [fdf2891][R1.1-Commit-fdf2891]) #[2155581][R1.1-Issue-2155581] - JS errors keep incrementing when inspecting in Chrome.
  - (Commit: [f4c0404][R1.1-Commit-f4c0404]) #[2166741][R1.1-Issue-2166741] - Update Metatags to latest dev (Full Revision Support).
  - (Commit: [eb75425][R1.1-Commit-eb75425]) #[2160677][R1.1-Issue-2160677] - Double drop down menu arrows in Internet Explorer (IE).
  - (Commit: [8e29480][R1.1-Commit-8e29480]) #[2166803][R1.1-Issue-2166803] - Issue #2166803 by sylus: Update Drupal to 7.25.
  - (Commit: [973d251][R1.1-Commit-973d251]) #[2167311][R1.1-Issue-2167311] - Update Ember depdendency for WetKit Ember.
  - (Commit: [4c72796][R1.1-Commit-4c72796]) #[2094209][R1.1-Issue-2094209] - Site logo always appearing.
  - (Commit: [4decafc][R1.1-Commit-4decafc]) #[2151499][R1.1-Issue-2151499] - Migrated default content adds extra undefined language alt text for images.
  - (Commit: [3c3b646][R1.1-Commit-3c3b646]) #[2167557][R1.1-Issue-2167557] - Remove media_bulk_upload.
  - (Commit: [e15997a][R1.1-Commit-e15997a]) #[2160653][R1.1-Issue-2160653] - Unable to search for Links in Linkit using French Terms.

## v1.0

Features:

  - The Official 1.0 Release

Bug Fixes:

  - (Commit: [b987712][R1-Commit-b987712]) #[2148823][R1-Issue-2148823] - Rules disappearing when updated.
  - (Commit: [6c9cc22][R1-Commit-6c9cc22]) #[2151161][R1-Issue-2151161] - Basic Page should use Panels instead of Panelizer by Default.
  - (Commit: [1b1f833][R1-Commit-1b1f833]) #[2149943][R1-Issue-2149943] - View Draft Link from Node Edit Page and View Link on moderate page not working.
  - (Commit: [b6b28b4][R1-Commit-b6b28b4]) #[2151399][R1-Issue-2151399] - Updates to WetKit Core.

<!-- Links Referenced -->

<!-- Commits R4.0-rc2 -->

[R4.0-rc2-Commit-0e3f6cf]: http://drupalcode.org/project/wetkit.git/commit/0e3f6cf
[R4.0-rc2-Commit-0ca5816]: http://drupalcode.org/project/wetkit.git/commit/0ca5816
[R4.0-rc2-Commit-1ef9c25]: http://drupalcode.org/project/wetkit.git/commit/1ef9c25
[R4.0-rc2-Commit-fff836e]: http://drupalcode.org/project/wetkit.git/commit/fff836e
[R4.0-rc2-Commit-f2f434c]: http://drupalcode.org/project/wetkit.git/commit/f2f434c
[R4.0-rc2-Commit-b4c747d]: http://drupalcode.org/project/wetkit.git/commit/b4c747d
[R4.0-rc2-Commit-bde68fc]: http://drupalcode.org/project/wetkit.git/commit/bde68fc
[R4.0-rc2-Commit-bb9754f]: http://drupalcode.org/project/wetkit.git/commit/bb9754f
[R4.0-rc2-Commit-763a107]: http://drupalcode.org/project/wetkit.git/commit/763a107
[R4.0-rc2-Commit-bb4cfc8]: http://drupalcode.org/project/wetkit.git/commit/bb4cfc8
[R4.0-rc2-Commit-d1fd844]: http://drupalcode.org/project/wetkit.git/commit/d1fd844
[R4.0-rc2-Commit-716ea83]: http://drupalcode.org/project/wetkit.git/commit/716ea83
[R4.0-rc2-Commit-a9f0e4d]: http://drupalcode.org/project/wetkit.git/commit/a9f0e4d
[R4.0-rc2-Commit-f8f44f5]: http://drupalcode.org/project/wetkit.git/commit/f8f44f5
[R4.0-rc2-Commit-e320e57]: http://drupalcode.org/project/wetkit.git/commit/e320e57
[R4.0-rc2-Commit-b54db53]: http://drupalcode.org/project/wetkit.git/commit/b54db53
[R4.0-rc2-Commit-b44918d]: http://drupalcode.org/project/wetkit.git/commit/b44918d
[R4.0-rc2-Commit-fef9df4]: http://drupalcode.org/project/wetkit.git/commit/fef9df4
[R4.0-rc2-Commit-f6da1a4]: http://drupalcode.org/project/wetkit.git/commit/f6da1a4
[R4.0-rc2-Commit-7120517]: http://drupalcode.org/project/wetkit.git/commit/7120517
[R4.0-rc2-Commit-a4a190d]: http://drupalcode.org/project/wetkit.git/commit/a4a190d
[R4.0-rc2-Commit-402c9bc]: http://drupalcode.org/project/wetkit.git/commit/402c9bc
[R4.0-rc2-Commit-ece283d]: http://drupalcode.org/project/wetkit.git/commit/ece283d
[R4.0-rc2-Commit-7d4b428]: http://drupalcode.org/project/wetkit.git/commit/7d4b428
[R4.0-rc2-Commit-2e52684]: http://drupalcode.org/project/wetkit.git/commit/2e52684
[R4.0-rc2-Commit-939e69b]: http://drupalcode.org/project/wetkit.git/commit/939e69b
[R4.0-rc2-Commit-39e22bb]: http://drupalcode.org/project/wetkit.git/commit/39e22bb
[R4.0-rc2-Commit-c4fbaeb]: http://drupalcode.org/project/wetkit.git/commit/c4fbaeb
[R4.0-rc2-Commit-d2ed1be]: http://drupalcode.org/project/wetkit.git/commit/d2ed1be
[R4.0-rc2-Commit-7e72c20]: http://drupalcode.org/project/wetkit.git/commit/7e72c20
[R4.0-rc2-Commit-4c9c53a]: http://drupalcode.org/project/wetkit.git/commit/4c9c53a
[R4.0-rc2-Commit-f872756]: http://drupalcode.org/project/wetkit.git/commit/f872756
[R4.0-rc2-Commit-6ef6131]: http://drupalcode.org/project/wetkit.git/commit/6ef6131
[R4.0-rc2-Commit-cb7d1f6]: http://drupalcode.org/project/wetkit.git/commit/cb7d1f6
[R4.0-rc2-Commit-79dd079]: http://drupalcode.org/project/wetkit.git/commit/79dd079
[R4.0-rc2-Commit-290cf2d]: http://drupalcode.org/project/wetkit.git/commit/290cf2d
[R4.0-rc2-Commit-88164b3]: http://drupalcode.org/project/wetkit.git/commit/88164b3
[R4.0-rc2-Commit-d51c391]: http://drupalcode.org/project/wetkit.git/commit/d51c391
[R4.0-rc2-Commit-7e33550]: http://drupalcode.org/project/wetkit.git/commit/7e33550
[R4.0-rc2-Commit-3c42eb9]: http://drupalcode.org/project/wetkit.git/commit/3c42eb9
[R4.0-rc2-Commit-aefabd1]: http://drupalcode.org/project/wetkit.git/commit/aefabd1
[R4.0-rc2-Commit-f49e2c4]: http://drupalcode.org/project/wetkit.git/commit/f49e2c4
[R4.0-rc2-Commit-8af7e3e]: http://drupalcode.org/project/wetkit.git/commit/8af7e3e
[R4.0-rc2-Commit-594765f]: http://drupalcode.org/project/wetkit.git/commit/594765f
[R4.0-rc2-Commit-f773c17]: http://drupalcode.org/project/wetkit.git/commit/f773c17
[R4.0-rc2-Commit-9610eee]: http://drupalcode.org/project/wetkit.git/commit/9610eee
[R4.0-rc2-Commit-81e22f7]: http://drupalcode.org/project/wetkit.git/commit/81e22f7
[R4.0-rc2-Commit-179bfcc]: http://drupalcode.org/project/wetkit.git/commit/179bfcc
[R4.0-rc2-Commit-cfa7a1f]: http://drupalcode.org/project/wetkit.git/commit/cfa7a1f
[R4.0-rc2-Commit-488d86a]: http://drupalcode.org/project/wetkit.git/commit/488d86a
[R4.0-rc2-Commit-c64fec2]: http://drupalcode.org/project/wetkit.git/commit/c64fec2
[R4.0-rc2-Commit-03064ad]: http://drupalcode.org/project/wetkit.git/commit/03064ad
[R4.0-rc2-Commit-4f19cfe]: http://drupalcode.org/project/wetkit.git/commit/4f19cfe
[R4.0-rc2-Commit-5b19e48]: http://drupalcode.org/project/wetkit.git/commit/5b19e48
[R4.0-rc2-Commit-23fb291]: http://drupalcode.org/project/wetkit.git/commit/23fb291
[R4.0-rc2-Commit-92b5862]: http://drupalcode.org/project/wetkit.git/commit/92b5862
[R4.0-rc2-Commit-65bf07d]: http://drupalcode.org/project/wetkit.git/commit/65bf07d
[R4.0-rc2-Commit-daa7976]: http://drupalcode.org/project/wetkit.git/commit/daa7976
[R4.0-rc2-Commit-80c26a2]: http://drupalcode.org/project/wetkit.git/commit/80c26a2
[R4.0-rc2-Commit-05d2a58]: http://drupalcode.org/project/wetkit.git/commit/05d2a58
[R4.0-rc2-Commit-439eb5a]: http://drupalcode.org/project/wetkit.git/commit/439eb5a
[R4.0-rc2-Commit-28aabac]: http://drupalcode.org/project/wetkit.git/commit/28aabac
[R4.0-rc2-Commit-07755b3]: http://drupalcode.org/project/wetkit.git/commit/07755b3
[R4.0-rc2-Commit-621f9a9]: http://drupalcode.org/project/wetkit.git/commit/621f9a9
[R4.0-rc2-Commit-e7e14e6]: http://drupalcode.org/project/wetkit.git/commit/e7e14e6
[R4.0-rc2-Commit-55b818f]: http://drupalcode.org/project/wetkit.git/commit/55b818f
[R4.0-rc2-Commit-d2912f6]: http://drupalcode.org/project/wetkit.git/commit/d2912f6
[R4.0-rc2-Commit-a868925]: http://drupalcode.org/project/wetkit.git/commit/a868925
[R4.0-rc2-Commit-23ac052]: http://drupalcode.org/project/wetkit.git/commit/23ac052
[R4.0-rc2-Commit-f1932b2]: http://drupalcode.org/project/wetkit.git/commit/f1932b2
[R4.0-rc2-Commit-3d36e18]: http://drupalcode.org/project/wetkit.git/commit/3d36e18
[R4.0-rc2-Commit-6673a57]: http://drupalcode.org/project/wetkit.git/commit/6673a57
[R4.0-rc2-Commit-c318e50]: http://drupalcode.org/project/wetkit.git/commit/c318e50
[R4.0-rc2-Commit-3ce3f08]: http://drupalcode.org/project/wetkit.git/commit/3ce3f08
[R4.0-rc2-Commit-accf5c7]: http://drupalcode.org/project/wetkit.git/commit/accf5c7
[R4.0-rc2-Commit-9a9b2ce]: http://drupalcode.org/project/wetkit.git/commit/9a9b2ce
[R4.0-rc2-Commit-2a7e9c4]: http://drupalcode.org/project/wetkit.git/commit/2a7e9c4
[R4.0-rc2-Commit-5106eb8]: http://drupalcode.org/project/wetkit.git/commit/5106eb8
[R4.0-rc2-Commit-18e1463]: http://drupalcode.org/project/wetkit.git/commit/18e1463
[R4.0-rc2-Commit-32566fd]: http://drupalcode.org/project/wetkit.git/commit/32566fd
[R4.0-rc2-Commit-f88b321]: http://drupalcode.org/project/wetkit.git/commit/f88b321
[R4.0-rc2-Commit-bd5bce2]: http://drupalcode.org/project/wetkit.git/commit/bd5bce2
[R4.0-rc2-Commit-24f6426]: http://drupalcode.org/project/wetkit.git/commit/24f6426
[R4.0-rc2-Commit-f756176]: http://drupalcode.org/project/wetkit.git/commit/f756176
[R4.0-rc2-Commit-5a70e6b]: http://drupalcode.org/project/wetkit.git/commit/5a70e6b
[R4.0-rc2-Commit-b0db9c3]: http://drupalcode.org/project/wetkit.git/commit/b0db9c3
[R4.0-rc2-Commit-dcf704d]: http://drupalcode.org/project/wetkit.git/commit/dcf704d
[R4.0-rc2-Commit-67254bb]: http://drupalcode.org/project/wetkit.git/commit/67254bb
[R4.0-rc2-Commit-afc918d]: http://drupalcode.org/project/wetkit.git/commit/afc918d
[R4.0-rc2-Commit-5c2f20d]: http://drupalcode.org/project/wetkit.git/commit/5c2f20d
[R4.0-rc2-Commit-fb47e1a]: http://drupalcode.org/project/wetkit.git/commit/fb47e1a
[R4.0-rc2-Commit-32a4350]: http://drupalcode.org/project/wetkit.git/commit/32a4350
[R4.0-rc2-Commit-1747ca3]: http://drupalcode.org/project/wetkit.git/commit/1747ca3
[R4.0-rc2-Commit-7ea771d]: http://drupalcode.org/project/wetkit.git/commit/7ea771d
[R4.0-rc2-Commit-fa5f8c7]: http://drupalcode.org/project/wetkit.git/commit/fa5f8c7
[R4.0-rc2-Commit-9201285]: http://drupalcode.org/project/wetkit.git/commit/9201285
[R4.0-rc2-Commit-0a66c6a]: http://drupalcode.org/project/wetkit.git/commit/0a66c6a
[R4.0-rc2-Commit-754a6e4]: http://drupalcode.org/project/wetkit.git/commit/754a6e4
[R4.0-rc2-Commit-44ab705]: http://drupalcode.org/project/wetkit.git/commit/44ab705
[R4.0-rc2-Commit-ff1342d]: http://drupalcode.org/project/wetkit.git/commit/ff1342d
[R4.0-rc2-Commit-4e961fc]: http://drupalcode.org/project/wetkit.git/commit/4e961fc
[R4.0-rc2-Commit-f087f04]: http://drupalcode.org/project/wetkit.git/commit/f087f04
[R4.0-rc2-Commit-f1b5d5a]: http://drupalcode.org/project/wetkit.git/commit/f1b5d5a
[R4.0-rc2-Commit-e19387f]: http://drupalcode.org/project/wetkit.git/commit/e19387f
[R4.0-rc2-Commit-b776797]: http://drupalcode.org/project/wetkit.git/commit/b776797
[R4.0-rc2-Commit-b1e6849]: http://drupalcode.org/project/wetkit.git/commit/b1e6849
[R4.0-rc2-Commit-c326c65]: http://drupalcode.org/project/wetkit.git/commit/c326c65
[R4.0-rc2-Commit-cb65092]: http://drupalcode.org/project/wetkit.git/commit/cb65092
[R4.0-rc2-Commit-0bb2cf5]: http://drupalcode.org/project/wetkit.git/commit/0bb2cf5
[R4.0-rc2-Commit-eb3b23f]: http://drupalcode.org/project/wetkit.git/commit/eb3b23f
[R4.0-rc2-Commit-13917f3]: http://drupalcode.org/project/wetkit.git/commit/13917f3
[R4.0-rc2-Commit-bea4e37]: http://drupalcode.org/project/wetkit.git/commit/bea4e37
[R4.0-rc2-Commit-3d03d6d]: http://drupalcode.org/project/wetkit.git/commit/3d03d6d
[R4.0-rc2-Commit-cbd2bf8]: http://drupalcode.org/project/wetkit.git/commit/cbd2bf8
[R4.0-rc2-Commit-28fe52d]: http://drupalcode.org/project/wetkit.git/commit/28fe52d
[R4.0-rc2-Commit-2ff38bf]: http://drupalcode.org/project/wetkit.git/commit/2ff38bf
[R4.0-rc2-Commit-0598438]: http://drupalcode.org/project/wetkit.git/commit/0598438
[R4.0-rc2-Commit-8605a82]: http://drupalcode.org/project/wetkit.git/commit/8605a82
[R4.0-rc2-Commit-43852be]: http://drupalcode.org/project/wetkit.git/commit/43852be
[R4.0-rc2-Commit-ddb2985]: http://drupalcode.org/project/wetkit.git/commit/ddb2985
[R4.0-rc2-Commit-33bd0d5]: http://drupalcode.org/project/wetkit.git/commit/33bd0d5
[R4.0-rc2-Commit-5198c58]: http://drupalcode.org/project/wetkit.git/commit/5198c58
[R4.0-rc2-Commit-0e072c6]: http://drupalcode.org/project/wetkit.git/commit/0e072c6
[R4.0-rc2-Commit-11522b6]: http://drupalcode.org/project/wetkit.git/commit/11522b6
[R4.0-rc2-Commit-43242f8]: http://drupalcode.org/project/wetkit.git/commit/43242f8
[R4.0-rc2-Commit-09a48e7]: http://drupalcode.org/project/wetkit.git/commit/09a48e7
[R4.0-rc2-Commit-8a507db]: http://drupalcode.org/project/wetkit.git/commit/8a507db
[R4.0-rc2-Commit-4240873]: http://drupalcode.org/project/wetkit.git/commit/4240873
[R4.0-rc2-Commit-1a1c4e6]: http://drupalcode.org/project/wetkit.git/commit/1a1c4e6
[R4.0-rc2-Commit-fc62047]: http://drupalcode.org/project/wetkit.git/commit/fc62047
[R4.0-rc2-Commit-cf55b77]: http://drupalcode.org/project/wetkit.git/commit/cf55b77
[R4.0-rc2-Commit-57b7247]: http://drupalcode.org/project/wetkit.git/commit/57b7247
[R4.0-rc2-Commit-b7cc84d]: http://drupalcode.org/project/wetkit.git/commit/b7cc84d
[R4.0-rc2-Commit-932b8a3]: http://drupalcode.org/project/wetkit.git/commit/932b8a3
[R4.0-rc2-Commit-089578a]: http://drupalcode.org/project/wetkit.git/commit/089578a
[R4.0-rc2-Commit-d792752]: http://drupalcode.org/project/wetkit.git/commit/d792752
[R4.0-rc2-Commit-ef7fb5a]: http://drupalcode.org/project/wetkit.git/commit/ef7fb5a
[R4.0-rc2-Commit-088d936]: http://drupalcode.org/project/wetkit.git/commit/088d936
[R4.0-rc2-Commit-6414a8c]: http://drupalcode.org/project/wetkit.git/commit/6414a8c
[R4.0-rc2-Commit-f532905]: http://drupalcode.org/project/wetkit.git/commit/f532905
[R4.0-rc2-Commit-ab869e6]: http://drupalcode.org/project/wetkit.git/commit/ab869e6
[R4.0-rc2-Commit-83e4044]: http://drupalcode.org/project/wetkit.git/commit/83e4044
[R4.0-rc2-Commit-be9bcdd]: http://drupalcode.org/project/wetkit.git/commit/be9bcdd
[R4.0-rc2-Commit-a311c83]: http://drupalcode.org/project/wetkit.git/commit/a311c83
[R4.0-rc2-Commit-3de578a]: http://drupalcode.org/project/wetkit.git/commit/3de578a
[R4.0-rc2-Commit-865c06a]: http://drupalcode.org/project/wetkit.git/commit/865c06a
[R4.0-rc2-Commit-2430f17]: http://drupalcode.org/project/wetkit.git/commit/2430f17
[R4.0-rc2-Commit-5462b10]: http://drupalcode.org/project/wetkit.git/commit/5462b10
[R4.0-rc2-Commit-166414b]: http://drupalcode.org/project/wetkit.git/commit/166414b

<!-- Issues R4.0-rc2 -->

[R4.0-rc2-Issue-2543762]: http://drupal.org/node/2543762
[R4.0-rc2-Issue-2543762]: http://drupal.org/node/2543762
[R4.0-rc2-Issue-2543762]: http://drupal.org/node/2543762
[R4.0-rc2-Issue-2543762]: http://drupal.org/node/2543762
[R4.0-rc2-Issue-2537760]: http://drupal.org/node/2537760
[R4.0-rc2-Issue-2532600]: http://drupal.org/node/2532600
[R4.0-rc2-Issue-2533860]: http://drupal.org/node/2533860
[R4.0-rc2-Issue-2530288]: http://drupal.org/node/2530288
[R4.0-rc2-Issue-2533850]: http://drupal.org/node/2533850
[R4.0-rc2-Issue-2537780]: http://drupal.org/node/2537780
[R4.0-rc2-Issue-2484927]: http://drupal.org/node/2484927
[R4.0-rc2-Issue-2537750]: http://drupal.org/node/2537750
[R4.0-rc2-Issue-2530288]: http://drupal.org/node/2530288
[R4.0-rc2-Issue-2530288]: http://drupal.org/node/2530288
[R4.0-rc2-Issue-2530220]: http://drupal.org/node/2530220
[R4.0-rc2-Issue-2529722]: http://drupal.org/node/2529722
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2527832]: http://drupal.org/node/2527832
[R4.0-rc2-Issue-2528454]: http://drupal.org/node/2528454
[R4.0-rc2-Issue-2528666]: http://drupal.org/node/2528666
[R4.0-rc2-Issue-2528658]: http://drupal.org/node/2528658
[R4.0-rc2-Issue-2528658]: http://drupal.org/node/2528658
[R4.0-rc2-Issue-2528658]: http://drupal.org/node/2528658
[R4.0-rc2-Issue-2528454]: http://drupal.org/node/2528454
[R4.0-rc2-Issue-2528454]: http://drupal.org/node/2528454
[R4.0-rc2-Issue-2527832]: http://drupal.org/node/2527832
[R4.0-rc2-Issue-2522698]: http://drupal.org/node/2522698
[R4.0-rc2-Issue-2527832]: http://drupal.org/node/2527832
[R4.0-rc2-Issue-2511662]: http://drupal.org/node/2511662
[R4.0-rc2-Issue-2516906]: http://drupal.org/node/2516906
[R4.0-rc2-Issue-2521828]: http://drupal.org/node/2521828
[R4.0-rc2-Issue-2509414]: http://drupal.org/node/2509414
[R4.0-rc2-Issue-2509414]: http://drupal.org/node/2509414
[R4.0-rc2-Issue-2508399]: http://drupal.org/node/2508399
[R4.0-rc2-Issue-2302955]: http://drupal.org/node/2302955
[R4.0-rc2-Issue-2509414]: http://drupal.org/node/2509414
[R4.0-rc2-Issue-2400083]: http://drupal.org/node/2400083
[R4.0-rc2-Issue-2484927]: http://drupal.org/node/2484927
[R4.0-rc2-Issue-2508399]: http://drupal.org/node/2508399
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2503341]: http://drupal.org/node/2503341
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2434721]: http://drupal.org/node/2434721
[R4.0-rc2-Issue-2506647]: http://drupal.org/node/2506647
[R4.0-rc2-Issue-2508465]: http://drupal.org/node/2508465
[R4.0-rc2-Issue-2508275]: http://drupal.org/node/2508275
[R4.0-rc2-Issue-2494539]: http://drupal.org/node/2494539
[R4.0-rc2-Issue-2494539]: http://drupal.org/node/2494539
[R4.0-rc2-Issue-2494539]: http://drupal.org/node/2494539
[R4.0-rc2-Issue-2496495]: http://drupal.org/node/2496495
[R4.0-rc2-Issue-2482943]: http://drupal.org/node/2482943
[R4.0-rc2-Issue-2496481]: http://drupal.org/node/2496481
[R4.0-rc2-Issue-2496453]: http://drupal.org/node/2496453
[R4.0-rc2-Issue-2498363]: http://drupal.org/node/2498363
[R4.0-rc2-Issue-2499125]: http://drupal.org/node/2499125
[R4.0-rc2-Issue-2500369]: http://drupal.org/node/2500369
[R4.0-rc2-Issue-2500585]: http://drupal.org/node/2500585
[R4.0-rc2-Issue-2492305]: http://drupal.org/node/2492305
[R4.0-rc2-Issue-2482837]: http://drupal.org/node/2482837
[R4.0-rc2-Issue-2482943]: http://drupal.org/node/2482943
[R4.0-rc2-Issue-2480345]: http://drupal.org/node/2480345
[R4.0-rc2-Issue-2487085]: http://drupal.org/node/2487085
[R4.0-rc2-Issue-2485619]: http://drupal.org/node/2485619
[R4.0-rc2-Issue-2479349]: http://drupal.org/node/2479349
[R4.0-rc2-Issue-2145567]: http://drupal.org/node/2145567

<!-- Commits R4.0-rc1 -->

[R4.0-rc1-Commit-76d7793]: http://drupalcode.org/project/wetkit.git/commit/76d7793
[R4.0-rc1-Commit-55f8702]: http://drupalcode.org/project/wetkit.git/commit/55f8702
[R4.0-rc1-Commit-e8a7269]: http://drupalcode.org/project/wetkit.git/commit/e8a7269
[R4.0-rc1-Commit-50a5678]: http://drupalcode.org/project/wetkit.git/commit/50a5678
[R4.0-rc1-Commit-5e5be8c]: http://drupalcode.org/project/wetkit.git/commit/5e5be8c
[R4.0-rc1-Commit-b5cc4ee]: http://drupalcode.org/project/wetkit.git/commit/b5cc4ee
[R4.0-rc1-Commit-7747838]: http://drupalcode.org/project/wetkit.git/commit/7747838
[R4.0-rc1-Commit-473d043]: http://drupalcode.org/project/wetkit.git/commit/473d043
[R4.0-rc1-Commit-18b4762]: http://drupalcode.org/project/wetkit.git/commit/18b4762
[R4.0-rc1-Commit-1d9fa4e]: http://drupalcode.org/project/wetkit.git/commit/1d9fa4e
[R4.0-rc1-Commit-2a51bca]: http://drupalcode.org/project/wetkit.git/commit/2a51bca
[R4.0-rc1-Commit-1d00d8f]: http://drupalcode.org/project/wetkit.git/commit/1d00d8f
[R4.0-rc1-Commit-d9d2fe3]: http://drupalcode.org/project/wetkit.git/commit/d9d2fe3
[R4.0-rc1-Commit-d1b5c74]: http://drupalcode.org/project/wetkit.git/commit/d1b5c74
[R4.0-rc1-Commit-62cd71a]: http://drupalcode.org/project/wetkit.git/commit/62cd71a
[R4.0-rc1-Commit-664fde7]: http://drupalcode.org/project/wetkit.git/commit/664fde7
[R4.0-rc1-Commit-f04bc92]: http://drupalcode.org/project/wetkit.git/commit/f04bc92
[R4.0-rc1-Commit-b90eb27]: http://drupalcode.org/project/wetkit.git/commit/b90eb27
[R4.0-rc1-Commit-bd07962]: http://drupalcode.org/project/wetkit.git/commit/bd07962
[R4.0-rc1-Commit-b45d657]: http://drupalcode.org/project/wetkit.git/commit/b45d657
[R4.0-rc1-Commit-9a29304]: http://drupalcode.org/project/wetkit.git/commit/9a29304
[R4.0-rc1-Commit-596a470]: http://drupalcode.org/project/wetkit.git/commit/596a470
[R4.0-rc1-Commit-2048b96]: http://drupalcode.org/project/wetkit.git/commit/2048b96
[R4.0-rc1-Commit-a34f8ac]: http://drupalcode.org/project/wetkit.git/commit/a34f8ac
[R4.0-rc1-Commit-9a0da7b]: http://drupalcode.org/project/wetkit.git/commit/9a0da7b
[R4.0-rc1-Commit-6f14f60]: http://drupalcode.org/project/wetkit.git/commit/6f14f60
[R4.0-rc1-Commit-28e9c20]: http://drupalcode.org/project/wetkit.git/commit/28e9c20
[R4.0-rc1-Commit-129d38b]: http://drupalcode.org/project/wetkit.git/commit/129d38b
[R4.0-rc1-Commit-360898f]: http://drupalcode.org/project/wetkit.git/commit/360898f
[R4.0-rc1-Commit-20da48e]: http://drupalcode.org/project/wetkit.git/commit/20da48e
[R4.0-rc1-Commit-48c500a]: http://drupalcode.org/project/wetkit.git/commit/48c500a
[R4.0-rc1-Commit-043506a]: http://drupalcode.org/project/wetkit.git/commit/043506a
[R4.0-rc1-Commit-3532424]: http://drupalcode.org/project/wetkit.git/commit/3532424
[R4.0-rc1-Commit-42aef39]: http://drupalcode.org/project/wetkit.git/commit/42aef39
[R4.0-rc1-Commit-0795c9d]: http://drupalcode.org/project/wetkit.git/commit/0795c9d
[R4.0-rc1-Commit-6f1d84d]: http://drupalcode.org/project/wetkit.git/commit/6f1d84d
[R4.0-rc1-Commit-1c510de]: http://drupalcode.org/project/wetkit.git/commit/1c510de
[R4.0-rc1-Commit-07dcb0b]: http://drupalcode.org/project/wetkit.git/commit/07dcb0b
[R4.0-rc1-Commit-cc30d18]: http://drupalcode.org/project/wetkit.git/commit/cc30d18
[R4.0-rc1-Commit-e4117bd]: http://drupalcode.org/project/wetkit.git/commit/e4117bd
[R4.0-rc1-Commit-465e27b]: http://drupalcode.org/project/wetkit.git/commit/465e27b
[R4.0-rc1-Commit-b7f5a90]: http://drupalcode.org/project/wetkit.git/commit/b7f5a90
[R4.0-rc1-Commit-5e91e8f]: http://drupalcode.org/project/wetkit.git/commit/5e91e8f
[R4.0-rc1-Commit-ad1ae08]: http://drupalcode.org/project/wetkit.git/commit/ad1ae08
[R4.0-rc1-Commit-18a332d]: http://drupalcode.org/project/wetkit.git/commit/18a332d
[R4.0-rc1-Commit-acabf10]: http://drupalcode.org/project/wetkit.git/commit/acabf10
[R4.0-rc1-Commit-9a26b3c]: http://drupalcode.org/project/wetkit.git/commit/9a26b3c
[R4.0-rc1-Commit-4e5fcb3]: http://drupalcode.org/project/wetkit.git/commit/4e5fcb3
[R4.0-rc1-Commit-579f15a]: http://drupalcode.org/project/wetkit.git/commit/579f15a
[R4.0-rc1-Commit-9c44f2a]: http://drupalcode.org/project/wetkit.git/commit/9c44f2a
[R4.0-rc1-Commit-e11a210]: http://drupalcode.org/project/wetkit.git/commit/e11a210
[R4.0-rc1-Commit-755191e]: http://drupalcode.org/project/wetkit.git/commit/755191e
[R4.0-rc1-Commit-168c76f]: http://drupalcode.org/project/wetkit.git/commit/168c76f
[R4.0-rc1-Commit-4b3f177]: http://drupalcode.org/project/wetkit.git/commit/4b3f177
[R4.0-rc1-Commit-86c2847]: http://drupalcode.org/project/wetkit.git/commit/86c2847
[R4.0-rc1-Commit-fa4e8a0]: http://drupalcode.org/project/wetkit.git/commit/fa4e8a0
[R4.0-rc1-Commit-5425d1a]: http://drupalcode.org/project/wetkit.git/commit/5425d1a
[R4.0-rc1-Commit-5add9f5]: http://drupalcode.org/project/wetkit.git/commit/5add9f5
[R4.0-rc1-Commit-3face54]: http://drupalcode.org/project/wetkit.git/commit/3face54
[R4.0-rc1-Commit-97c5f70]: http://drupalcode.org/project/wetkit.git/commit/97c5f70
[R4.0-rc1-Commit-a7e6de6]: http://drupalcode.org/project/wetkit.git/commit/a7e6de6
[R4.0-rc1-Commit-85c8280]: http://drupalcode.org/project/wetkit.git/commit/85c8280
[R4.0-rc1-Commit-51f3f76]: http://drupalcode.org/project/wetkit.git/commit/51f3f76
[R4.0-rc1-Commit-462bc07]: http://drupalcode.org/project/wetkit.git/commit/462bc07
[R4.0-rc1-Commit-9e5ca8d]: http://drupalcode.org/project/wetkit.git/commit/9e5ca8d
[R4.0-rc1-Commit-3ecaea3]: http://drupalcode.org/project/wetkit.git/commit/3ecaea3
[R4.0-rc1-Commit-3b04c83]: http://drupalcode.org/project/wetkit.git/commit/3b04c83
[R4.0-rc1-Commit-26b1124]: http://drupalcode.org/project/wetkit.git/commit/26b1124
[R4.0-rc1-Commit-533f6b5]: http://drupalcode.org/project/wetkit.git/commit/533f6b5
[R4.0-rc1-Commit-c74c666]: http://drupalcode.org/project/wetkit.git/commit/c74c666
[R4.0-rc1-Commit-1c7cd15]: http://drupalcode.org/project/wetkit.git/commit/1c7cd15
[R4.0-rc1-Commit-04ae9ca]: http://drupalcode.org/project/wetkit.git/commit/04ae9ca
[R4.0-rc1-Commit-2dd7b4a]: http://drupalcode.org/project/wetkit.git/commit/2dd7b4a
[R4.0-rc1-Commit-9443627]: http://drupalcode.org/project/wetkit.git/commit/9443627
[R4.0-rc1-Commit-ef1f038]: http://drupalcode.org/project/wetkit.git/commit/ef1f038
[R4.0-rc1-Commit-aa3eeb1]: http://drupalcode.org/project/wetkit.git/commit/aa3eeb1
[R4.0-rc1-Commit-d6fbee4]: http://drupalcode.org/project/wetkit.git/commit/d6fbee4
[R4.0-rc1-Commit-41f1935]: http://drupalcode.org/project/wetkit.git/commit/41f1935
[R4.0-rc1-Commit-678f55e]: http://drupalcode.org/project/wetkit.git/commit/678f55e
[R4.0-rc1-Commit-8c2812d]: http://drupalcode.org/project/wetkit.git/commit/8c2812d
[R4.0-rc1-Commit-16414aa]: http://drupalcode.org/project/wetkit.git/commit/16414aa
[R4.0-rc1-Commit-b18b6f8]: http://drupalcode.org/project/wetkit.git/commit/b18b6f8
[R4.0-rc1-Commit-8959cc0]: http://drupalcode.org/project/wetkit.git/commit/8959cc0
[R4.0-rc1-Commit-b0d2b9f]: http://drupalcode.org/project/wetkit.git/commit/b0d2b9f
[R4.0-rc1-Commit-f89f5e7]: http://drupalcode.org/project/wetkit.git/commit/f89f5e7
[R4.0-rc1-Commit-28c65cc]: http://drupalcode.org/project/wetkit.git/commit/28c65cc
[R4.0-rc1-Commit-52afae9]: http://drupalcode.org/project/wetkit.git/commit/52afae9
[R4.0-rc1-Commit-0191af5]: http://drupalcode.org/project/wetkit.git/commit/0191af5
[R4.0-rc1-Commit-b9cda4a]: http://drupalcode.org/project/wetkit.git/commit/b9cda4a
[R4.0-rc1-Commit-5dcbd6d]: http://drupalcode.org/project/wetkit.git/commit/5dcbd6d
[R4.0-rc1-Commit-788cfc6]: http://drupalcode.org/project/wetkit.git/commit/788cfc6
[R4.0-rc1-Commit-b61df24]: http://drupalcode.org/project/wetkit.git/commit/b61df24
[R4.0-rc1-Commit-9537824]: http://drupalcode.org/project/wetkit.git/commit/9537824
[R4.0-rc1-Commit-697dcb5]: http://drupalcode.org/project/wetkit.git/commit/697dcb5
[R4.0-rc1-Commit-056f422]: http://drupalcode.org/project/wetkit.git/commit/056f422
[R4.0-rc1-Commit-fed8f6a]: http://drupalcode.org/project/wetkit.git/commit/fed8f6a
[R4.0-rc1-Commit-f9b3e64]: http://drupalcode.org/project/wetkit.git/commit/f9b3e64
[R4.0-rc1-Commit-d7873c4]: http://drupalcode.org/project/wetkit.git/commit/d7873c4
[R4.0-rc1-Commit-b6c359b]: http://drupalcode.org/project/wetkit.git/commit/b6c359b
[R4.0-rc1-Commit-a967a77]: http://drupalcode.org/project/wetkit.git/commit/a967a77
[R4.0-rc1-Commit-ca0415e]: http://drupalcode.org/project/wetkit.git/commit/ca0415e
[R4.0-rc1-Commit-5cd1db1]: http://drupalcode.org/project/wetkit.git/commit/5cd1db1
[R4.0-rc1-Commit-282520f]: http://drupalcode.org/project/wetkit.git/commit/282520f
[R4.0-rc1-Commit-e18b0fe]: http://drupalcode.org/project/wetkit.git/commit/e18b0fe
[R4.0-rc1-Commit-c5d2436]: http://drupalcode.org/project/wetkit.git/commit/c5d2436
[R4.0-rc1-Commit-8588fb5]: http://drupalcode.org/project/wetkit.git/commit/8588fb5
[R4.0-rc1-Commit-0c13416]: http://drupalcode.org/project/wetkit.git/commit/0c13416
[R4.0-rc1-Commit-927f3d1]: http://drupalcode.org/project/wetkit.git/commit/927f3d1
[R4.0-rc1-Commit-ac5cb5d]: http://drupalcode.org/project/wetkit.git/commit/ac5cb5d
[R4.0-rc1-Commit-0f100e0]: http://drupalcode.org/project/wetkit.git/commit/0f100e0
[R4.0-rc1-Commit-5faf74c]: http://drupalcode.org/project/wetkit.git/commit/5faf74c
[R4.0-rc1-Commit-12196a2]: http://drupalcode.org/project/wetkit.git/commit/12196a2
[R4.0-rc1-Commit-ae86516]: http://drupalcode.org/project/wetkit.git/commit/ae86516
[R4.0-rc1-Commit-dea9cc9]: http://drupalcode.org/project/wetkit.git/commit/dea9cc9
[R4.0-rc1-Commit-93405de]: http://drupalcode.org/project/wetkit.git/commit/93405de
[R4.0-rc1-Commit-1b8d552]: http://drupalcode.org/project/wetkit.git/commit/1b8d552
[R4.0-rc1-Commit-d82e1c0]: http://drupalcode.org/project/wetkit.git/commit/d82e1c0
[R4.0-rc1-Commit-bdc1535]: http://drupalcode.org/project/wetkit.git/commit/bdc1535
[R4.0-rc1-Commit-2568010]: http://drupalcode.org/project/wetkit.git/commit/2568010
[R4.0-rc1-Commit-56c140f]: http://drupalcode.org/project/wetkit.git/commit/56c140f
[R4.0-rc1-Commit-cdb8b00]: http://drupalcode.org/project/wetkit.git/commit/cdb8b00
[R4.0-rc1-Commit-21fe779]: http://drupalcode.org/project/wetkit.git/commit/21fe779
[R4.0-rc1-Commit-3035ca1]: http://drupalcode.org/project/wetkit.git/commit/3035ca1
[R4.0-rc1-Commit-08cfa78]: http://drupalcode.org/project/wetkit.git/commit/08cfa78
[R4.0-rc1-Commit-4e5ed81]: http://drupalcode.org/project/wetkit.git/commit/4e5ed81
[R4.0-rc1-Commit-4674db5]: http://drupalcode.org/project/wetkit.git/commit/4674db5
[R4.0-rc1-Commit-2d9bca6]: http://drupalcode.org/project/wetkit.git/commit/2d9bca6
[R4.0-rc1-Commit-10d4f61]: http://drupalcode.org/project/wetkit.git/commit/10d4f61
[R4.0-rc1-Commit-5b1d97d]: http://drupalcode.org/project/wetkit.git/commit/5b1d97d
[R4.0-rc1-Commit-9cb426f]: http://drupalcode.org/project/wetkit.git/commit/9cb426f
[R4.0-rc1-Commit-be07bb6]: http://drupalcode.org/project/wetkit.git/commit/be07bb6
[R4.0-rc1-Commit-fcdb00f]: http://drupalcode.org/project/wetkit.git/commit/fcdb00f
[R4.0-rc1-Commit-5a94c3a]: http://drupalcode.org/project/wetkit.git/commit/5a94c3a
[R4.0-rc1-Commit-97820cf]: http://drupalcode.org/project/wetkit.git/commit/97820cf
[R4.0-rc1-Commit-e8a1348]: http://drupalcode.org/project/wetkit.git/commit/e8a1348
[R4.0-rc1-Commit-8251e8a]: http://drupalcode.org/project/wetkit.git/commit/8251e8a
[R4.0-rc1-Commit-77c7235]: http://drupalcode.org/project/wetkit.git/commit/77c7235
[R4.0-rc1-Commit-d4d87f6]: http://drupalcode.org/project/wetkit.git/commit/d4d87f6
[R4.0-rc1-Commit-7b598d0]: http://drupalcode.org/project/wetkit.git/commit/7b598d0
[R4.0-rc1-Commit-6d32713]: http://drupalcode.org/project/wetkit.git/commit/6d32713
[R4.0-rc1-Commit-56bbf25]: http://drupalcode.org/project/wetkit.git/commit/56bbf25
[R4.0-rc1-Commit-9abe0fd]: http://drupalcode.org/project/wetkit.git/commit/9abe0fd
[R4.0-rc1-Commit-6c5d056]: http://drupalcode.org/project/wetkit.git/commit/6c5d056
[R4.0-rc1-Commit-3475fa4]: http://drupalcode.org/project/wetkit.git/commit/3475fa4
[R4.0-rc1-Commit-fad89b5]: http://drupalcode.org/project/wetkit.git/commit/fad89b5
[R4.0-rc1-Commit-325d773]: http://drupalcode.org/project/wetkit.git/commit/325d773
[R4.0-rc1-Commit-db44754]: http://drupalcode.org/project/wetkit.git/commit/db44754
[R4.0-rc1-Commit-6c5ee41]: http://drupalcode.org/project/wetkit.git/commit/6c5ee41
[R4.0-rc1-Commit-cc767d7]: http://drupalcode.org/project/wetkit.git/commit/cc767d7
[R4.0-rc1-Commit-f76f582]: http://drupalcode.org/project/wetkit.git/commit/f76f582
[R4.0-rc1-Commit-23f19a0]: http://drupalcode.org/project/wetkit.git/commit/23f19a0
[R4.0-rc1-Commit-460e183]: http://drupalcode.org/project/wetkit.git/commit/460e183
[R4.0-rc1-Commit-d7d0283]: http://drupalcode.org/project/wetkit.git/commit/d7d0283
[R4.0-rc1-Commit-ec0ea25]: http://drupalcode.org/project/wetkit.git/commit/ec0ea25
[R4.0-rc1-Commit-3b5b803]: http://drupalcode.org/project/wetkit.git/commit/3b5b803
[R4.0-rc1-Commit-30bcf2b]: http://drupalcode.org/project/wetkit.git/commit/30bcf2b
[R4.0-rc1-Commit-dc04e1c]: http://drupalcode.org/project/wetkit.git/commit/dc04e1c
[R4.0-rc1-Commit-80f2e20]: http://drupalcode.org/project/wetkit.git/commit/80f2e20
[R4.0-rc1-Commit-d40e66d]: http://drupalcode.org/project/wetkit.git/commit/d40e66d
[R4.0-rc1-Commit-ff34162]: http://drupalcode.org/project/wetkit.git/commit/ff34162
[R4.0-rc1-Commit-ba6bb4e]: http://drupalcode.org/project/wetkit.git/commit/ba6bb4e
[R4.0-rc1-Commit-fc845c1]: http://drupalcode.org/project/wetkit.git/commit/fc845c1
[R4.0-rc1-Commit-9d4a548]: http://drupalcode.org/project/wetkit.git/commit/9d4a548
[R4.0-rc1-Commit-21e22bf]: http://drupalcode.org/project/wetkit.git/commit/21e22bf
[R4.0-rc1-Commit-8d5719e]: http://drupalcode.org/project/wetkit.git/commit/8d5719e
[R4.0-rc1-Commit-ca912cb]: http://drupalcode.org/project/wetkit.git/commit/ca912cb
[R4.0-rc1-Commit-936df64]: http://drupalcode.org/project/wetkit.git/commit/936df64
[R4.0-rc1-Commit-500e9d1]: http://drupalcode.org/project/wetkit.git/commit/500e9d1
[R4.0-rc1-Commit-3f21731]: http://drupalcode.org/project/wetkit.git/commit/3f21731
[R4.0-rc1-Commit-525c234]: http://drupalcode.org/project/wetkit.git/commit/525c234
[R4.0-rc1-Commit-0c63ede]: http://drupalcode.org/project/wetkit.git/commit/0c63ede
[R4.0-rc1-Commit-cfa95cf]: http://drupalcode.org/project/wetkit.git/commit/cfa95cf
[R4.0-rc1-Commit-6b9ab7e]: http://drupalcode.org/project/wetkit.git/commit/6b9ab7e
[R4.0-rc1-Commit-3505255]: http://drupalcode.org/project/wetkit.git/commit/3505255
[R4.0-rc1-Commit-c272653]: http://drupalcode.org/project/wetkit.git/commit/c272653
[R4.0-rc1-Commit-ec30dce]: http://drupalcode.org/project/wetkit.git/commit/ec30dce
[R4.0-rc1-Commit-267db10]: http://drupalcode.org/project/wetkit.git/commit/267db10
[R4.0-rc1-Commit-02911b9]: http://drupalcode.org/project/wetkit.git/commit/02911b9
[R4.0-rc1-Commit-2f4c52b]: http://drupalcode.org/project/wetkit.git/commit/2f4c52b
[R4.0-rc1-Commit-113aeda]: http://drupalcode.org/project/wetkit.git/commit/113aeda
[R4.0-rc1-Commit-c3e9688]: http://drupalcode.org/project/wetkit.git/commit/c3e9688
[R4.0-rc1-Commit-f10d6a6]: http://drupalcode.org/project/wetkit.git/commit/f10d6a6
[R4.0-rc1-Commit-ab06622]: http://drupalcode.org/project/wetkit.git/commit/ab06622
[R4.0-rc1-Commit-e4929c5]: http://drupalcode.org/project/wetkit.git/commit/e4929c5
[R4.0-rc1-Commit-a0df34b]: http://drupalcode.org/project/wetkit.git/commit/a0df34b
[R4.0-rc1-Commit-dca2e56]: http://drupalcode.org/project/wetkit.git/commit/dca2e56
[R4.0-rc1-Commit-e2fc1cf]: http://drupalcode.org/project/wetkit.git/commit/e2fc1cf
[R4.0-rc1-Commit-2808999]: http://drupalcode.org/project/wetkit.git/commit/2808999
[R4.0-rc1-Commit-1909d4f]: http://drupalcode.org/project/wetkit.git/commit/1909d4f
[R4.0-rc1-Commit-3afe015]: http://drupalcode.org/project/wetkit.git/commit/3afe015
[R4.0-rc1-Commit-c527693]: http://drupalcode.org/project/wetkit.git/commit/c527693
[R4.0-rc1-Commit-1b94d53]: http://drupalcode.org/project/wetkit.git/commit/1b94d53
[R4.0-rc1-Commit-e79f62c]: http://drupalcode.org/project/wetkit.git/commit/e79f62c
[R4.0-rc1-Commit-f066239]: http://drupalcode.org/project/wetkit.git/commit/f066239
[R4.0-rc1-Commit-c8b1276]: http://drupalcode.org/project/wetkit.git/commit/c8b1276
[R4.0-rc1-Commit-07bf8c1]: http://drupalcode.org/project/wetkit.git/commit/07bf8c1
[R4.0-rc1-Commit-ac2c1dd]: http://drupalcode.org/project/wetkit.git/commit/ac2c1dd
[R4.0-rc1-Commit-6dc35ee]: http://drupalcode.org/project/wetkit.git/commit/6dc35ee
[R4.0-rc1-Commit-0fc2202]: http://drupalcode.org/project/wetkit.git/commit/0fc2202

<!-- Issues R4.0-rc1 -->

[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2457949]: http://drupal.org/node/2457949
[R4.0-rc1-Issue-2460287]: http://drupal.org/node/2460287
[R4.0-rc1-Issue-2464421]: http://drupal.org/node/2464421
[R4.0-rc1-Issue-2464413]: http://drupal.org/node/2464413
[R4.0-rc1-Issue-2352895]: http://drupal.org/node/2352895
[R4.0-rc1-Issue-2457949]: http://drupal.org/node/2457949
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2457949]: http://drupal.org/node/2457949
[R4.0-rc1-Issue-2458841]: http://drupal.org/node/2458841
[R4.0-rc1-Issue-2458841]: http://drupal.org/node/2458841
[R4.0-rc1-Issue-2458841]: http://drupal.org/node/2458841
[R4.0-rc1-Issue-2458841]: http://drupal.org/node/2458841
[R4.0-rc1-Issue-2458841]: http://drupal.org/node/2458841
[R4.0-rc1-Issue-2453387]: http://drupal.org/node/2453387
[R4.0-rc1-Issue-2453387]: http://drupal.org/node/2453387
[R4.0-rc1-Issue-2453387]: http://drupal.org/node/2453387
[R4.0-rc1-Issue-2449043]: http://drupal.org/node/2449043
[R4.0-rc1-Issue-2450967]: http://drupal.org/node/2450967
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2136621]: http://drupal.org/node/2136621
[R4.0-rc1-Issue-2447305]: http://drupal.org/node/2447305
[R4.0-rc1-Issue-2454123]: http://drupal.org/node/2454123
[R4.0-rc1-Issue-2449759]: http://drupal.org/node/2449759
[R4.0-rc1-Issue-2449791]: http://drupal.org/node/2449791
[R4.0-rc1-Issue-2456355]: http://drupal.org/node/2456355
[R4.0-rc1-Issue-2450369]: http://drupal.org/node/2450369
[R4.0-rc1-Issue-2450311]: http://drupal.org/node/2450311
[R4.0-rc1-Issue-2450275]: http://drupal.org/node/2450275
[R4.0-rc1-Issue-2450217]: http://drupal.org/node/2450217
[R4.0-rc1-Issue-2449035]: http://drupal.org/node/2449035
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2447503]: http://drupal.org/node/2447503
[R4.0-rc1-Issue-2447445]: http://drupal.org/node/2447445
[R4.0-rc1-Issue-2447395]: http://drupal.org/node/2447395
[R4.0-rc1-Issue-2447297]: http://drupal.org/node/2447297
[R4.0-rc1-Issue-2442817]: http://drupal.org/node/2442817
[R4.0-rc1-Issue-2442909]: http://drupal.org/node/2442909
[R4.0-rc1-Issue-2444543]: http://drupal.org/node/2444543
[R4.0-rc1-Issue-2445137]: http://drupal.org/node/2445137
[R4.0-rc1-Issue-2444357]: http://drupal.org/node/2444357
[R4.0-rc1-Issue-2142137]: http://drupal.org/node/2142137
[R4.0-rc1-Issue-2442793]: http://drupal.org/node/2442793
[R4.0-rc1-Issue-2442731]: http://drupal.org/node/2442731
[R4.0-rc1-Issue-2432913]: http://drupal.org/node/2432913
[R4.0-rc1-Issue-2423955]: http://drupal.org/node/2423955
[R4.0-rc1-Issue-2423961]: http://drupal.org/node/2423961
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2423955]: http://drupal.org/node/2423955
[R4.0-rc1-Issue-2089133]: http://drupal.org/node/2089133
[R4.0-rc1-Issue-2427429]: http://drupal.org/node/2427429
[R4.0-rc1-Issue-2427399]: http://drupal.org/node/2427399
[R4.0-rc1-Issue-2427411]: http://drupal.org/node/2427411
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2424821]: http://drupal.org/node/2424821
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2423955]: http://drupal.org/node/2423955
[R4.0-rc1-Issue-2394485]: http://drupal.org/node/2394485
[R4.0-rc1-Issue-2424717]: http://drupal.org/node/2424717
[R4.0-rc1-Issue-2424241]: http://drupal.org/node/2424241
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2424241]: http://drupal.org/node/2424241
[R4.0-rc1-Issue-2424241]: http://drupal.org/node/2424241
[R4.0-rc1-Issue-2424241]: http://drupal.org/node/2424241
[R4.0-rc1-Issue-2424241]: http://drupal.org/node/2424241
[R4.0-rc1-Issue-2423955]: http://drupal.org/node/2423955
[R4.0-rc1-Issue-2423961]: http://drupal.org/node/2423961
[R4.0-rc1-Issue-2423959]: http://drupal.org/node/2423959
[R4.0-rc1-Issue-2423955]: http://drupal.org/node/2423955
[R4.0-rc1-Issue-2423861]: http://drupal.org/node/2423861
[R4.0-rc1-Issue-2423855]: http://drupal.org/node/2423855
[R4.0-rc1-Issue-2423755]: http://drupal.org/node/2423755
[R4.0-rc1-Issue-2404271]: http://drupal.org/node/2404271
[R4.0-rc1-Issue-2423763]: http://drupal.org/node/2423763
[R4.0-rc1-Issue-2423755]: http://drupal.org/node/2423755
[R4.0-rc1-Issue-2423755]: http://drupal.org/node/2423755
[R4.0-rc1-Issue-2423703]: http://drupal.org/node/2423703
[R4.0-rc1-Issue-2423703]: http://drupal.org/node/2423703
[R4.0-rc1-Issue-2418803]: http://drupal.org/node/2418803
[R4.0-rc1-Issue-2145555]: http://drupal.org/node/2145555
[R4.0-rc1-Issue-2412513]: http://drupal.org/node/2412513
[R4.0-rc1-Issue-2421111]: http://drupal.org/node/2421111
[R4.0-rc1-Issue-2378449]: http://drupal.org/node/2378449
[R4.0-rc1-Issue-2363135]: http://drupal.org/node/2363135
[R4.0-rc1-Issue-2416811]: http://drupal.org/node/2416811
[R4.0-rc1-Issue-2418725]: http://drupal.org/node/2418725
[R4.0-rc1-Issue-2149943]: http://drupal.org/node/2149943
[R4.0-rc1-Issue-2344227]: http://drupal.org/node/2344227
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2399603]: http://drupal.org/node/2399603
[R4.0-rc1-Issue-2385319]: http://drupal.org/node/2385319
[R4.0-rc1-Issue-2282933]: http://drupal.org/node/2282933
[R4.0-rc1-Issue-2402785]: http://drupal.org/node/2402785
[R4.0-rc1-Issue-2406063]: http://drupal.org/node/2406063
[R4.0-rc1-Issue-2405993]: http://drupal.org/node/2405993
[R4.0-rc1-Issue-2405831]: http://drupal.org/node/2405831
[R4.0-rc1-Issue-2389507]: http://drupal.org/node/2389507
[R4.0-rc1-Issue-2400039]: http://drupal.org/node/2400039
[R4.0-rc1-Issue-2399609]: http://drupal.org/node/2399609
[R4.0-rc1-Issue-2400451]: http://drupal.org/node/2400451
[R4.0-rc1-Issue-2399597]: http://drupal.org/node/2399597
[R4.0-rc1-Issue-2395449]: http://drupal.org/node/2395449
[R4.0-rc1-Issue-2394391]: http://drupal.org/node/2394391
[R4.0-rc1-Issue-2394391]: http://drupal.org/node/2394391

<!-- Commits R1.8 -->

[R1.8-Commit-b74064b]: http://drupalcode.org/project/wetkit.git/commit/b74064b
[R1.8-Commit-2ebdbaa]: http://drupalcode.org/project/wetkit.git/commit/2ebdbaa
[R1.8-Commit-0127ecb]: http://drupalcode.org/project/wetkit.git/commit/0127ecb
[R1.8-Commit-c40c182]: http://drupalcode.org/project/wetkit.git/commit/c40c182
[R1.8-Commit-0b4acde]: http://drupalcode.org/project/wetkit.git/commit/0b4acde
[R1.8-Commit-166b36e]: http://drupalcode.org/project/wetkit.git/commit/166b36e
[R1.8-Commit-342a934]: http://drupalcode.org/project/wetkit.git/commit/342a934
[R1.8-Commit-461a9ab]: http://drupalcode.org/project/wetkit.git/commit/461a9ab
[R1.8-Commit-68cc5a3]: http://drupalcode.org/project/wetkit.git/commit/68cc5a3
[R1.8-Commit-65b260c]: http://drupalcode.org/project/wetkit.git/commit/65b260c
[R1.8-Commit-97fd8f7]: http://drupalcode.org/project/wetkit.git/commit/97fd8f7
[R1.8-Commit-4d0d63e]: http://drupalcode.org/project/wetkit.git/commit/4d0d63e
[R1.8-Commit-c04df4e]: http://drupalcode.org/project/wetkit.git/commit/c04df4e
[R1.8-Commit-7a71e59]: http://drupalcode.org/project/wetkit.git/commit/7a71e59
[R1.8-Commit-a1be830]: http://drupalcode.org/project/wetkit.git/commit/a1be830
[R1.8-Commit-a204b12]: http://drupalcode.org/project/wetkit.git/commit/a204b12
[R1.8-Commit-6429123]: http://drupalcode.org/project/wetkit.git/commit/6429123
[R1.8-Commit-dc2879f]: http://drupalcode.org/project/wetkit.git/commit/dc2879f
[R1.8-Commit-cd0b4f0]: http://drupalcode.org/project/wetkit.git/commit/cd0b4f0
[R1.8-Commit-b7191ac]: http://drupalcode.org/project/wetkit.git/commit/b7191ac
[R1.8-Commit-cf60ef5]: http://drupalcode.org/project/wetkit.git/commit/cf60ef5
[R1.8-Commit-67333e0]: http://drupalcode.org/project/wetkit.git/commit/67333e0
[R1.8-Commit-d23e033]: http://drupalcode.org/project/wetkit.git/commit/d23e033
[R1.8-Commit-05e5be7]: http://drupalcode.org/project/wetkit.git/commit/05e5be7
[R1.8-Commit-58dfcf7]: http://drupalcode.org/project/wetkit.git/commit/58dfcf7
[R1.8-Commit-74b7341]: http://drupalcode.org/project/wetkit.git/commit/74b7341
[R1.8-Commit-eeded35]: http://drupalcode.org/project/wetkit.git/commit/eeded35
[R1.8-Commit-b98f6db]: http://drupalcode.org/project/wetkit.git/commit/b98f6db
[R1.8-Commit-8ad2839]: http://drupalcode.org/project/wetkit.git/commit/8ad2839
[R1.8-Commit-d2fa696]: http://drupalcode.org/project/wetkit.git/commit/d2fa696
[R1.8-Commit-50c6cc2]: http://drupalcode.org/project/wetkit.git/commit/50c6cc2
[R1.8-Commit-86e827f]: http://drupalcode.org/project/wetkit.git/commit/86e827f
[R1.8-Commit-aed6712]: http://drupalcode.org/project/wetkit.git/commit/aed6712
[R1.8-Commit-a78e206]: http://drupalcode.org/project/wetkit.git/commit/a78e206
[R1.8-Commit-1b7e74c]: http://drupalcode.org/project/wetkit.git/commit/1b7e74c
[R1.8-Commit-05274c8]: http://drupalcode.org/project/wetkit.git/commit/05274c8
[R1.8-Commit-6129cee]: http://drupalcode.org/project/wetkit.git/commit/6129cee
[R1.8-Commit-edb6305]: http://drupalcode.org/project/wetkit.git/commit/edb6305
[R1.8-Commit-abb11c0]: http://drupalcode.org/project/wetkit.git/commit/abb11c0
[R1.8-Commit-b5b5846]: http://drupalcode.org/project/wetkit.git/commit/b5b5846
[R1.8-Commit-d266613]: http://drupalcode.org/project/wetkit.git/commit/d266613
[R1.8-Commit-b2e0fdd]: http://drupalcode.org/project/wetkit.git/commit/b2e0fdd
[R1.8-Commit-c19dfa3]: http://drupalcode.org/project/wetkit.git/commit/c19dfa3
[R1.8-Commit-54e7b56]: http://drupalcode.org/project/wetkit.git/commit/54e7b56
[R1.8-Commit-22dde9a]: http://drupalcode.org/project/wetkit.git/commit/22dde9a
[R1.8-Commit-e7f9a83]: http://drupalcode.org/project/wetkit.git/commit/e7f9a83
[R1.8-Commit-fc59fdb]: http://drupalcode.org/project/wetkit.git/commit/fc59fdb
[R1.8-Commit-ff261ac]: http://drupalcode.org/project/wetkit.git/commit/ff261ac
[R1.8-Commit-354563d]: http://drupalcode.org/project/wetkit.git/commit/354563d
[R1.8-Commit-614f2fd]: http://drupalcode.org/project/wetkit.git/commit/614f2fd
[R1.8-Commit-23a0ac7]: http://drupalcode.org/project/wetkit.git/commit/23a0ac7
[R1.8-Commit-2029c68]: http://drupalcode.org/project/wetkit.git/commit/2029c68
[R1.8-Commit-75fcfcc]: http://drupalcode.org/project/wetkit.git/commit/75fcfcc
[R1.8-Commit-d0e09e9]: http://drupalcode.org/project/wetkit.git/commit/d0e09e9
[R1.8-Commit-bf41193]: http://drupalcode.org/project/wetkit.git/commit/bf41193

<!-- Issues R1.8 -->

[R1.8-Issue-2387925]: http://drupal.org/node/2387925
[R1.8-Issue-2129273]: http://drupal.org/node/2129273
[R1.8-Issue-2382711]: http://drupal.org/node/2382711
[R1.8-Issue-2382711]: http://drupal.org/node/2382711
[R1.8-Issue-2382711]: http://drupal.org/node/2382711
[R1.8-Issue-2366631]: http://drupal.org/node/2366631
[R1.8-Issue-2381947]: http://drupal.org/node/2381947
[R1.8-Issue-2382051]: http://drupal.org/node/2382051
[R1.8-Issue-2382087]: http://drupal.org/node/2382087
[R1.8-Issue-2381917]: http://drupal.org/node/2381917
[R1.8-Issue-2363257]: http://drupal.org/node/2363257
[R1.8-Issue-2363257]: http://drupal.org/node/2363257
[R1.8-Issue-2364301]: http://drupal.org/node/2364301
[R1.8-Issue-2364301]: http://drupal.org/node/2364301
[R1.8-Issue-2381549]: http://drupal.org/node/2381549
[R1.8-Issue-2351629]: http://drupal.org/node/2351629
[R1.8-Issue-2381409]: http://drupal.org/node/2381409
[R1.8-Issue-2339465]: http://drupal.org/node/2339465
[R1.8-Issue-2381391]: http://drupal.org/node/2381391
[R1.8-Issue-2361983]: http://drupal.org/node/2361983
[R1.8-Issue-2374829]: http://drupal.org/node/2374829
[R1.8-Issue-2381345]: http://drupal.org/node/2381345
[R1.8-Issue-2363233]: http://drupal.org/node/2363233

<!-- Commits R1.7 -->

[R1.7-Commit-3c70096]: http://drupalcode.org/project/wetkit.git/commit/3c70096
[R1.7-Commit-8ef7017]: http://drupalcode.org/project/wetkit.git/commit/8ef7017
[R1.7-Commit-0e00a77]: http://drupalcode.org/project/wetkit.git/commit/0e00a77
[R1.7-Commit-6e86a04]: http://drupalcode.org/project/wetkit.git/commit/6e86a04
[R1.7-Commit-78d264e]: http://drupalcode.org/project/wetkit.git/commit/78d264e
[R1.7-Commit-cd6b683]: http://drupalcode.org/project/wetkit.git/commit/cd6b683
[R1.7-Commit-d096950]: http://drupalcode.org/project/wetkit.git/commit/d096950
[R1.7-Commit-6da3dfe]: http://drupalcode.org/project/wetkit.git/commit/6da3dfe
[R1.7-Commit-5d6d479]: http://drupalcode.org/project/wetkit.git/commit/5d6d479
[R1.7-Commit-18b9269]: http://drupalcode.org/project/wetkit.git/commit/18b9269
[R1.7-Commit-e22caa9]: http://drupalcode.org/project/wetkit.git/commit/e22caa9
[R1.7-Commit-d18eafd]: http://drupalcode.org/project/wetkit.git/commit/d18eafd
[R1.7-Commit-b7dc699]: http://drupalcode.org/project/wetkit.git/commit/b7dc699
[R1.7-Commit-2e6d961]: http://drupalcode.org/project/wetkit.git/commit/2e6d961
[R1.7-Commit-fd95d4a]: http://drupalcode.org/project/wetkit.git/commit/fd95d4a
[R1.7-Commit-98bfaec]: http://drupalcode.org/project/wetkit.git/commit/98bfaec
[R1.7-Commit-e6a5044]: http://drupalcode.org/project/wetkit.git/commit/e6a5044
[R1.7-Commit-387cc3c]: http://drupalcode.org/project/wetkit.git/commit/387cc3c
[R1.7-Commit-1422500]: http://drupalcode.org/project/wetkit.git/commit/1422500
[R1.7-Commit-a2ced2d]: http://drupalcode.org/project/wetkit.git/commit/a2ced2d
[R1.7-Commit-6fd8dd4]: http://drupalcode.org/project/wetkit.git/commit/6fd8dd4
[R1.7-Commit-833dc54]: http://drupalcode.org/project/wetkit.git/commit/833dc54
[R1.7-Commit-8780e63]: http://drupalcode.org/project/wetkit.git/commit/8780e63
[R1.7-Commit-f2c3f50]: http://drupalcode.org/project/wetkit.git/commit/f2c3f50
[R1.7-Commit-cfe3f5f]: http://drupalcode.org/project/wetkit.git/commit/cfe3f5f
[R1.7-Commit-ada6840]: http://drupalcode.org/project/wetkit.git/commit/ada6840
[R1.7-Commit-9f24cc8]: http://drupalcode.org/project/wetkit.git/commit/9f24cc8
[R1.7-Commit-5a996de]: http://drupalcode.org/project/wetkit.git/commit/5a996de
[R1.7-Commit-6716ba0]: http://drupalcode.org/project/wetkit.git/commit/6716ba0
[R1.7-Commit-21efa14]: http://drupalcode.org/project/wetkit.git/commit/21efa14
[R1.7-Commit-b6bd721]: http://drupalcode.org/project/wetkit.git/commit/b6bd721
[R1.7-Commit-4f20669]: http://drupalcode.org/project/wetkit.git/commit/4f20669
[R1.7-Commit-8a736d2]: http://drupalcode.org/project/wetkit.git/commit/8a736d2
[R1.7-Commit-27c5f16]: http://drupalcode.org/project/wetkit.git/commit/27c5f16
[R1.7-Commit-000f863]: http://drupalcode.org/project/wetkit.git/commit/000f863
[R1.7-Commit-6757211]: http://drupalcode.org/project/wetkit.git/commit/6757211
[R1.7-Commit-79ed87d]: http://drupalcode.org/project/wetkit.git/commit/79ed87d
[R1.7-Commit-98b7538]: http://drupalcode.org/project/wetkit.git/commit/98b7538
[R1.7-Commit-10fff90]: http://drupalcode.org/project/wetkit.git/commit/10fff90
[R1.7-Commit-74959b8]: http://drupalcode.org/project/wetkit.git/commit/74959b8
[R1.7-Commit-4b5edb4]: http://drupalcode.org/project/wetkit.git/commit/4b5edb4
[R1.7-Commit-d42e551]: http://drupalcode.org/project/wetkit.git/commit/d42e551

<!-- Issues R1.7 -->

[R1.7-Issue-2346033]: http://drupal.org/node/2346033
[R1.7-Issue-2344473]: http://drupal.org/node/2344473
[R1.7-Issue-2336189]: http://drupal.org/node/2336189
[R1.7-Issue-2343641]: http://drupal.org/node/2343641
[R1.7-Issue-2343541]: http://drupal.org/node/2343541
[R1.7-Issue-2304581]: http://drupal.org/node/2304581
[R1.7-Issue-2304393]: http://drupal.org/node/2304393
[R1.7-Issue-2325435]: http://drupal.org/node/2325435
[R1.7-Issue-2328105]: http://drupal.org/node/2328105
[R1.7-Issue-2327287]: http://drupal.org/node/2327287
[R1.7-Issue-2332281]: http://drupal.org/node/2332281
[R1.7-Issue-2332275]: http://drupal.org/node/2332275
[R1.7-Issue-2332263]: http://drupal.org/node/2332263
[R1.7-Issue-2332207]: http://drupal.org/node/2332207
[R1.7-Issue-2332147]: http://drupal.org/node/2332147
[R1.7-Issue-2331839]: http://drupal.org/node/2331839
[R1.7-Issue-2331755]: http://drupal.org/node/2331755
[R1.7-Issue-2331755]: http://drupal.org/node/2331755
[R1.7-Issue-2331671]: http://drupal.org/node/2331671

<!-- Commits R1.6 -->

[R1.6-Commit-7ee8329]: http://drupalcode.org/project/wetkit.git/commit/7ee8329
[R1.6-Commit-ea65aba]: http://drupalcode.org/project/wetkit.git/commit/ea65aba
[R1.6-Commit-ea44037]: http://drupalcode.org/project/wetkit.git/commit/ea44037
[R1.6-Commit-6bb7b0c]: http://drupalcode.org/project/wetkit.git/commit/6bb7b0c
[R1.6-Commit-eea2fd8]: http://drupalcode.org/project/wetkit.git/commit/eea2fd8
[R1.6-Commit-1969bde]: http://drupalcode.org/project/wetkit.git/commit/1969bde
[R1.6-Commit-80b8707]: http://drupalcode.org/project/wetkit.git/commit/80b8707
[R1.6-Commit-eb8589f]: http://drupalcode.org/project/wetkit.git/commit/eb8589f
[R1.6-Commit-08637fc]: http://drupalcode.org/project/wetkit.git/commit/08637fc
[R1.6-Commit-14631c8]: http://drupalcode.org/project/wetkit.git/commit/14631c8
[R1.6-Commit-c912fc0]: http://drupalcode.org/project/wetkit.git/commit/c912fc0
[R1.6-Commit-9b3540d]: http://drupalcode.org/project/wetkit.git/commit/9b3540d
[R1.6-Commit-15f338b]: http://drupalcode.org/project/wetkit.git/commit/15f338b
[R1.6-Commit-5641133]: http://drupalcode.org/project/wetkit.git/commit/5641133
[R1.6-Commit-89a5e7c]: http://drupalcode.org/project/wetkit.git/commit/89a5e7c
[R1.6-Commit-3d6758d]: http://drupalcode.org/project/wetkit.git/commit/3d6758d
[R1.6-Commit-2a2addf]: http://drupalcode.org/project/wetkit.git/commit/2a2addf
[R1.6-Commit-8f42e12]: http://drupalcode.org/project/wetkit.git/commit/8f42e12
[R1.6-Commit-8679753]: http://drupalcode.org/project/wetkit.git/commit/8679753
[R1.6-Commit-baba462]: http://drupalcode.org/project/wetkit.git/commit/baba462
[R1.6-Commit-491f7aa]: http://drupalcode.org/project/wetkit.git/commit/491f7aa
[R1.6-Commit-549c932]: http://drupalcode.org/project/wetkit.git/commit/549c932
[R1.6-Commit-853acf7]: http://drupalcode.org/project/wetkit.git/commit/853acf7
[R1.6-Commit-bf9fc59]: http://drupalcode.org/project/wetkit.git/commit/bf9fc59
[R1.6-Commit-15b381a]: http://drupalcode.org/project/wetkit.git/commit/15b381a
[R1.6-Commit-b600df5]: http://drupalcode.org/project/wetkit.git/commit/b600df5
[R1.6-Commit-fb15246]: http://drupalcode.org/project/wetkit.git/commit/fb15246

<!-- Issues R1.6 -->

[R1.6-Issue-2321597]: http://drupal.org/node/2321597
[R1.6-Issue-2321597]: http://drupal.org/node/2321597
[R1.6-Issue-2282933]: http://drupal.org/node/2282933
[R1.6-Issue-2290027]: http://drupal.org/node/2290027
[R1.6-Issue-2284345]: http://drupal.org/node/2284345
[R1.6-Issue-2321011]: http://drupal.org/node/2321011
[R1.6-Issue-2289085]: http://drupal.org/node/2289085
[R1.6-Issue-2303747]: http://drupal.org/node/2303747
[R1.6-Issue-2297969]: http://drupal.org/node/2297969
[R1.6-Issue-2308809]: http://drupal.org/node/2308809
[R1.6-Issue-2281631]: http://drupal.org/node/2281631
[R1.6-Issue-2282931]: http://drupal.org/node/2282931
[R1.6-Issue-2301697]: http://drupal.org/node/2301697
[R1.6-Issue-2232467]: http://drupal.org/node/2232467
[R1.6-Issue-2303623]: http://drupal.org/node/2303623
[R1.6-Issue-2289353]: http://drupal.org/node/2289353
[R1.6-Issue-2319887]: http://drupal.org/node/2319887

<!-- Commits R1.5 -->

[R1.5-Commit-96fd513]:            http://drupalcode.org/project/wetkit.git/commit/96fd513
[R1.5-Commit-0ec9bea]:            http://drupalcode.org/project/wetkit_core.git/commit/0ec9bea
[R1.5-Commit-11340a9]:            http://drupalcode.org/project/wetkit_layouts.git/commit/11340a9
[R1.5-Commit-df07c24]:            http://drupalcode.org/project/wetkit_core.git/commit/df07c24
[R1.5-Commit-a06f14f]:            http://drupalcode.org/project/wetkit_og.git/commit/a06f14f
[R1.5-Commit-7723c47]:            http://drupalcode.org/project/wetkit_core.git/commit/7723c47
[R1.5-Commit-fe98705]:            http://drupalcode.org/project/wetkit_language.git/commit/fe98705
[R1.5-Commit-c925292]:            http://drupalcode.org/project/wetkit_language.git/commit/c925292
[R1.5-Commit-1babea2]:            http://drupalcode.org/project/wetkit_widgets.git/commit/1babea2
[R1.5-Commit-1e60e61]:            http://drupalcode.org/project/wetkit_language.git/commit/1e60e61
[R1.5-Commit-e360c6a]:            http://drupalcode.org/project/wetkit_widgets.git/commit/e360c6a
[R1.5-Commit-f8227ff]:            http://drupalcode.org/project/wetkit_language.git/commit/f8227ff
[R1.5-Commit-4890142]:            http://drupalcode.org/project/wetkit_core.git/commit/4890142
[R1.5-Commit-7b7e3d5]:            http://drupalcode.org/project/wetkit_admin.git/commit/7b7e3d5
[R1.5-Commit-48fd741]:            http://drupalcode.org/project/wetkit_images.git/commit/48fd741
[R1.5-Commit-569a370]:            http://drupalcode.org/project/wetkit_theme.git/commit/569a370
[R1.5-Commit-fc167b3]:            http://drupalcode.org/project/wetkit_metatag.git/commit/fc167b3
[R1.5-Commit-966911a]:            http://drupalcode.org/project/wetkit_core.git/commit/966911a
[R1.5-Commit-c0e67a2]:            http://drupalcode.org/project/wetkit_core.git/commit/c0e67a2
[R1.5-Commit-7e06ba0]:            http://drupalcode.org/project/wetkit_widgets.git/commit/7e06ba0
[R1.5-Commit-d87e659]:            http://drupalcode.org/project/wetkit_core.git/commit/d87e659
[R1.5-Commit-32b0d9b]:            http://drupalcode.org/project/wetkit_core.git/commit/32b0d9b
[R1.5-Commit-452bb91]:            http://drupalcode.org/project/wetkit_deployment.git/commit/452bb91
[R1.5-Commit-00c5069]:            http://drupalcode.org/project/wetkit_metatag.git/commit/00c5069
[R1.5-Commit-0fb5cd3]:            http://drupalcode.org/project/wetkit_language.git/commit/0fb5cd3
[R1.5-Commit-93a8fa1]:            http://drupalcode.org/project/wetkit_omega.git/commit/93a8fa1
[R1.5-Commit-3cd5200]:            http://drupalcode.org/project/wetkit_search.git/commit/3cd5200
[R1.5-Commit-e615e65]:            http://drupalcode.org/project/wetkit_search.git/commit/e615e65
[R1.5-Commit-f15ff03]:            http://drupalcode.org/project/wetkit_core.git/commit/f15ff03

<!-- Issues R1.5 -->

[R1.5-Issue-2262917]:             http://drupal.org/node/2262917
[R1.5-Issue-2269099]:             http://drupal.org/node/2269099
[R1.5-Issue-2256435]:             http://drupal.org/node/2256435
[R1.5-Issue-2219473]:             http://drupal.org/node/2219473
[R1.5-Issue-2262919]:             http://drupal.org/node/2262919
[R1.5-Issue-2275701]:             http://drupal.org/node/2275701
[R1.5-Issue-2275217]:             http://drupal.org/node/2275217
[R1.5-Issue-2250501]:             http://drupal.org/node/2250501
[R1.5-Issue-2271403]:             http://drupal.org/node/2271403
[R1.5-Issue-2276049]:             http://drupal.org/node/2276049
[R1.5-Issue-2271309]:             http://drupal.org/node/2271309
[R1.5-Issue-2278399]:             http://drupal.org/node/2278399
[R1.5-Issue-2278755]:             http://drupal.org/node/2278755
[R1.5-Issue-2278759]:             http://drupal.org/node/2278759
[R1.5-Issue-2275851]:             http://drupal.org/node/2275851
[R1.5-Issue-2279051]:             http://drupal.org/node/2279051
[R1.5-Issue-2279067]:             http://drupal.org/node/2279067
[R1.5-Issue-2279085]:             http://drupal.org/node/2279085
[R1.5-Issue-2279665]:             http://drupal.org/node/2279665
[R1.5-Issue-2279759]:             http://drupal.org/node/2279759
[R1.5-Issue-2279771]:             http://drupal.org/node/2279771
[R1.5-Issue-2279795]:             http://drupal.org/node/2279795
[R1.5-Issue-2279251]:             http://drupal.org/node/2279251
[R1.5-Issue-2279943]:             http://drupal.org/node/2279943
[R1.5-Issue-2280109]:             http://drupal.org/node/2280109
[R1.5-Issue-2280115]:             http://drupal.org/node/2280115
[R1.5-Issue-2280189]:             http://drupal.org/node/2280189
[R1.5-Issue-2280679]:             http://drupal.org/node/2280679
[R1.5-Issue-2280863]:             http://drupal.org/node/2280863

<!-- Commits R1.4 -->

[R1.4-Commit-5d45a49]:            http://drupalcode.org/project/wetkit_core.git/commit/5d45a49
[R1.4-Commit-b540b79]:            http://drupalcode.org/project/wetkit_search.git/commit/b540b79
[R1.4-Commit-f54c85e]:            http://drupalcode.org/project/wetkit_users.git/commit/f54c85e
[R1.4-Commit-ac36290]:            http://drupalcode.org/project/wetkit_users.git/commit/ac36290
[R1.4-Commit-2021c16]:            http://drupalcode.org/project/wetkit_omega.git/commit/2021c16
[R1.4-Commit-23426f0]:            http://drupalcode.org/project/wetkit_migrate.git/commit/23426f0
[R1.4-Commit-b97b38f]:            http://drupalcode.org/project/wetkit_ember.git/commit/b97b38f
[R1.4-Commit-c175a13]:            http://drupalcode.org/project/wetkit_search.git/commit/c175a13
[R1.4-Commit-8fec444]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/8fec444
[R1.4-Commit-678b249]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/678b249
[R1.4-Commit-3942f3d]:            http://drupalcode.org/project/wetkit_users.git/commit/3942f3d
[R1.4-Commit-1205dda]:            http://drupalcode.org/project/wetkit_images.git/commit/1205dda
[R1.4-Commit-adf7583]:            http://drupalcode.org/project/wetkit_ember.git/commit/adf7583
[R1.4-Commit-11443b3]:            http://drupalcode.org/project/wetkit_admin.git/commit/11443b3
[R1.4-Commit-041e2b8]:            http://drupalcode.org/project/wetkit_core.git/commit/041e2b8
[R1.4-Commit-613b771]:            http://drupalcode.org/project/wetkit_core.git/commit/613b771
[R1.4-Commit-6e5db22]:            http://drupalcode.org/project/wetkit_core.git/commit/6e5db22
[R1.4-Commit-f171bdc]:            http://drupalcode.org/project/wetkit_core.git/commit/f171bdc
[R1.4-Commit-ef5fa1e]:            http://drupalcode.org/project/wetkit_wyiswyg.git/commit/ef5fa1e
[R1.4-Commit-f74ab60]:            http://drupalcode.org/project/wetkit_core.git/commit/f74ab60
[R1.4-Commit-586ed8c]:            http://drupalcode.org/project/wetkit_admin.git/commit/586ed8c
[R1.4-Commit-7bb2b8f]:            http://drupalcode.org/project/wetkit_bean.git/commit/7bb2b8f
[R1.4-Commit-599ac18]:            http://drupalcode.org/project/wetkit_language.git/commit/599ac18
[R1.4-Commit-fecc3b1]:            http://drupalcode.org/project/wetkit_og.git/commit/fecc3b1
[R1.4-Commit-756c476]:            http://drupalcode.org/project/wetkit_deployment.git/commit/756c476
[R1.4-Commit-b3770f9]:            http://drupalcode.org/project/wetkit_widgets.git/commit/b3770f9
[R1.4-Commit-42c031d]:            http://drupalcode.org/project/wetkit_search.git/commit/42c031d
[R1.4-Commit-de0a193]:            http://drupalcode.org/project/wetkit_core.git/commit/de0a193
[R1.4-Commit-af200f0]:            http://drupalcode.org/project/wetkit_search.git/commit/af200f0
[R1.4-Commit-63ff1cd]:            http://drupalcode.org/project/wetkit_core.git/commit/63ff1cd
[R1.4-Commit-4334ac7]:            http://drupalcode.org/project/wetkit_migrate.git/commit/4334ac7
[R1.4-Commit-4fdda14]:            http://drupalcode.org/project/wetkit_images.git/commit/4fdda14
[R1.4-Commit-ad9334b]:            http://drupalcode.org/project/wetkit_deployment.git/commit/ad9334b
[R1.4-Commit-ebdb70d]:            http://drupalcode.org/project/wetkit_menu.git/commit/ebdb70d
[R1.4-Commit-b485439]:            http://drupalcode.org/project/wetkit_omega.git/commit/b485439
[R1.4-Commit-9c71601]:            http://drupalcode.org/project/wetkit_ember.git/commit/9c71601
[R1.4-Commit-82fa4cc]:            http://drupalcode.org/project/wetkit_core.git/commit/82fa4cc
[R1.4-Commit-864c97a]:            http://drupalcode.org/project/wetkit_admin.git/commit/864c97a
[R1.4-Commit-21d8e98]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/21d8e98
[R1.4-Commit-62064fb]:            http://drupalcode.org/project/wetkit_omega.git/commit/62064fb
[R1.4-Commit-53099b9]:            http://drupalcode.org/project/wetkit_search.git/commit/53099b9
[R1.4-Commit-58e1342]:            http://drupalcode.org/project/wetkit_language.git/commit/58e1342
[R1.4-Commit-8c687dc]:            http://drupalcode.org/project/wetkit_bean.git/commit/8c687dc
[R1.4-Commit-19ee35e]:            http://drupalcode.org/project/wetkit_language.git/commit/19ee35e
[R1.4-Commit-36eceda]:            http://drupalcode.org/project/wetkit_core.git/commit/36eceda
[R1.4-Commit-e54529c]:            http://drupalcode.org/project/wetkit_widgets.git/commit/e54529c
[R1.4-Commit-7469676]:            http://drupalcode.org/project/wetkit_admin.git/commit/7469676
[R1.4-Commit-8fa448f]:            http://drupalcode.org/project/wetkit_wetboew.git/commit/8fa448f

<!-- Issues R1.4 -->

[R1.4-Issue-2227797]:             http://drupal.org/node/2227797
[R1.4-Issue-2219547]:             http://drupal.org/node/2219547
[R1.4-Issue-2212509]:             http://drupal.org/node/2212509
[R1.4-Issue-2212501]:             http://drupal.org/node/2212501
[R1.4-Issue-2227857]:             http://drupal.org/node/2227857
[R1.4-Issue-2227873]:             http://drupal.org/node/2227873
[R1.4-Issue-2229433]:             http://drupal.org/node/2229433
[R1.4-Issue-2229457]:             http://drupal.org/node/2229457
[R1.4-Issue-2211505]:             http://drupal.org/node/2211505
[R1.4-Issue-2229469]:             http://drupal.org/node/2229469
[R1.4-Issue-2229481]:             http://drupal.org/node/2229481
[R1.4-Issue-2229525]:             http://drupal.org/node/2229525
[R1.4-Issue-2229529]:             http://drupal.org/node/2229529
[R1.4-Issue-2230019]:             http://drupal.org/node/2230019
[R1.4-Issue-2230929]:             http://drupal.org/node/2230929
[R1.4-Issue-2219805]:             http://drupal.org/node/2219805
[R1.4-Issue-2231787]:             http://drupal.org/node/2231787
[R1.4-Issue-2232913]:             http://drupal.org/node/2232913
[R1.4-Issue-2232923]:             http://drupal.org/node/2232923
[R1.4-Issue-2232935]:             http://drupal.org/node/2232935
[R1.4-Issue-2232947]:             http://drupal.org/node/2232947
[R1.4-Issue-2232951]:             http://drupal.org/node/2232951
[R1.4-Issue-2232953]:             http://drupal.org/node/2232953
[R1.4-Issue-2232957]:             http://drupal.org/node/2232957
[R1.4-Issue-2199997]:             http://drupal.org/node/2199997
[R1.4-Issue-2246827]:             http://drupal.org/node/2246827
[R1.4-Issue-2246833]:             http://drupal.org/node/2246833
[R1.4-Issue-2246835]:             http://drupal.org/node/2246835
[R1.4-Issue-2246837]:             http://drupal.org/node/2246837
[R1.4-Issue-2246839]:             http://drupal.org/node/2246839
[R1.4-Issue-2246841]:             http://drupal.org/node/2246841
[R1.4-Issue-2246853]:             http://drupal.org/node/2246853
[R1.4-Issue-2215023]:             http://drupal.org/node/2215023
[R1.4-Issue-2171255]:             http://drupal.org/node/2171255
[R1.4-Issue-2232467]:             http://drupal.org/node/2232467
[R1.4-Issue-2248433]:             http://drupal.org/node/2248433
[R1.4-Issue-2248435]:             http://drupal.org/node/2248435
[R1.4-Issue-2254353]:             http://drupal.org/node/2254353
[R1.4-Issue-2255169]:             http://drupal.org/node/2255169
[R1.4-Issue-2187771]:             http://drupal.org/node/2187771
[R1.4-Issue-2256723]:             http://drupal.org/node/2256723
[R1.4-Issue-2256611]:             http://drupal.org/node/2256611

<!-- Commits R1.3 -->

[R1.3-Commit-677730d]:            http://drupalcode.org/project/wetkit_omega.git/commit/677730d
[R1.3-Commit-c0fe19d]:            http://drupalcode.org/project/wetkit_wetboew.git/commit/c0fe19d
[R1.3-Commit-1886fad]:            http://drupalcode.org/project/wetkit_bean.git/commit/1886fad
[R1.3-Commit-32fa225]:            http://drupalcode.org/project/wetkit_menu.git/commit/32fa225
[R1.3-Commit-f70a208]:            http://drupalcode.org/project/wetkit_bean.git/commit/f70a208
[R1.3-Commit-de72d0d]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/de72d0d
[R1.3-Commit-a7691a2]:            http://drupalcode.org/project/wetkit_bean.git/commit/a7691a2
[R1.3-Commit-8128ef6]:            http://drupalcode.org/project/wetkit_omega.git/commit/8128ef6
[R1.3-Commit-ece42ff]:            http://drupalcode.org/project/wetkit_core.git/commit/ece42ff
[R1.3-Commit-ba0c210]:            http://drupalcode.org/project/wetkit_omega.git/commit/ba0c210
[R1.3-Commit-81e8629]:            http://drupalcode.org/project/wetkit_ember.git/commit/81e8629
[R1.3-Commit-93a41e2]:            http://drupalcode.org/project/wetkit_admin.git/commit/93a41e2
[R1.3-Commit-3374402]:            http://drupalcode.org/project/wetkit_breadcrumbs.git/commit/3374402
[R1.3-Commit-ece42ff]:            http://drupalcode.org/project/wetkit_core.git/commit/ece42ff
[R1.3-Commit-a93f218]:            http://drupalcode.org/project/wetkit_widgets.git/commit/a93f218
[R1.3-Commit-7c0c721]:            http://drupalcode.org/project/wetkit_omega.git/commit/7c0c721
[R1.3-Commit-f4adba4]:            http://drupalcode.org/project/wetkit_language.git/commit/f4adba4
[R1.3-Commit-6de3bd9]:            http://drupalcode.org/project/wetkit_core.git/commit/6de3bd9
[R1.3-Commit-1f43792]:            http://drupalcode.org/project/wetkit_core.git/commit/1f43792
[R1.3-Commit-5ec2cb8]:            http://drupalcode.org/project/wetkit_omega.git/commit/5ec2cb8
[R1.3-Commit-0371ea4]:            http://drupalcode.org/project/wetkit_widgets.git/commit/0371ea4
[R1.3-Commit-58d2d8b]:            http://drupalcode.org/project/wetkit_language.git/commit/58d2d8b
[R1.3-Commit-16e955b]:            http://drupalcode.org/project/wetkit_core.git/commit/16e955b
[R1.3-Commit-43ea1b2]:            http://drupalcode.org/project/wetkit_core.git/commit/43ea1b2
[R1.3-Commit-3f08637]:            http://drupalcode.org/project/wetkit_core.git/commit/3f08637
[R1.3-Commit-061f981]:            http://drupalcode.org/project/wetkit_admin.git/commit/061f981
[R1.3-Commit-82c0d96]:            http://drupalcode.org/project/wetkit_core.git/commit/82c0d96
[R1.3-Commit-d872c8a]:            http://drupalcode.org/project/wetkit_deployment.git/commit/d872c8a
[R1.3-Commit-91c498d]:            http://drupalcode.org/project/wetkit_core.git/commit/91c498d
[R1.3-Commit-9cbb486]:            http://drupalcode.org/project/wetkit_core.git/commit/9cbb486
[R1.3-Commit-bf841c3]:            http://drupalcode.org/project/wetkit_pages.git/commit/bf841c3
[R1.3-Commit-599d4e1]:            http://drupalcode.org/project/wetkit_migrate.git/commit/599d4e1
[R1.3-Commit-b0c8ff8]:            http://drupalcode.org/project/wetkit_widgets.git/commit/b0c8ff8
[R1.3-Commit-605119b]:            http://drupalcode.org/project/wetkit_menu.git/commit/605119b
[R1.3-Commit-cbd0ed2]:            http://drupalcode.org/project/wetkit_core.git/commit/cbd0ed2
[R1.3-Commit-b6e9f33]:            http://drupalcode.org/project/wetkit_widgets.git/commit/b6e9f33
[R1.3-Commit-c50303b]:            http://drupalcode.org/project/wetkit_bean.git/commit/c50303b
[R1.3-Commit-d840632]:            http://drupalcode.org/project/wetkit_widgets.git/commit/d840632
[R1.3-Commit-caff26a]:            http://drupalcode.org/project/wetkit_core.git/commit/caff26a
[R1.3-Commit-4af8a78]:            http://drupalcode.org/project/wetkit_menu.git/commit/4af8a78
[R1.3-Commit-6686f74]:            http://drupalcode.org/project/wetkit_menu.git/commit/6686f74
[R1.3-Commit-74847a1]:            http://drupalcode.org/project/wetkit_menu.git/commit/74847a1
[R1.3-Commit-551a9a3]:            http://drupalcode.org/project/wetkit_core.git/commit/551a9a3
[R1.3-Commit-74aa724]:            http://drupalcode.org/project/wetkit_core.git/commit/74aa724
[R1.3-Commit-b5143be]:            http://drupalcode.org/project/wetkit_menu.git/commit/b5143be
[R1.3-Commit-51af187]:            http://drupalcode.org/project/wetkit_pages.git/commit/51af187
[R1.3-Commit-f15a135]:            http://drupalcode.org/project/wetkit_core.git/commit/f15a135
[R1.3-Commit-07266d8]:            http://drupalcode.org/project/wetkit_core.git/commit/07266d8
[R1.3-Commit-3d5a897]:            http://drupalcode.org/project/wetkit_core.git/commit/3d5a897
[R1.3-Commit-0bfc560]:            http://drupalcode.org/project/wetkit_ember.git/commit/0bfc560
[R1.3-Commit-48c1e40]:            http://drupalcode.org/project/wetkit_pages.git/commit/48c1e40
[R1.3-Commit-5afb762]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/5afb762
[R1.3-Commit-0eb3bcc]:            http://drupalcode.org/project/wetkit_ember.git/commit/0eb3bcc
[R1.3-Commit-0e2af9e]:            http://drupalcode.org/project/wetkit_omega.git/commit/0e2af9e

<!-- Issues R1.3 -->

[R1.3-Issue-2177753]:             http://drupal.org/node/2177753
[R1.3-Issue-2177741]:             http://drupal.org/node/2177741
[R1.3-Issue-2178341]:             http://drupal.org/node/2178341
[R1.3-Issue-2177627]:             http://drupal.org/node/2177627
[R1.3-Issue-2185513]:             http://drupal.org/node/2185513
[R1.3-Issue-2178469]:             http://drupal.org/node/2178469
[R1.3-Issue-2181155]:             http://drupal.org/node/2181155
[R1.3-Issue-2184761]:             http://drupal.org/node/2184761
[R1.3-Issue-2187447]:             http://drupal.org/node/2187447
[R1.3-Issue-2192255]:             http://drupal.org/node/2192255
[R1.3-Issue-2192261]:             http://drupal.org/node/2192261
[R1.3-Issue-2192263]:             http://drupal.org/node/2192263
[R1.3-Issue-2192269]:             http://drupal.org/node/2192269
[R1.3-Issue-2192275]:             http://drupal.org/node/2192275
[R1.3-Issue-2187771]:             http://drupal.org/node/2187771
[R1.3-Issue-2187383]:             http://drupal.org/node/2187383
[R1.3-Issue-2192395]:             http://drupal.org/node/2192395
[R1.3-Issue-2192413]:             http://drupal.org/node/2192413
[R1.3-Issue-2194969]:             http://drupal.org/node/2194969
[R1.3-Issue-2195995]:             http://drupal.org/node/2195995
[R1.3-Issue-2196529]:             http://drupal.org/node/2196529
[R1.3-Issue-2197929]:             http://drupal.org/node/2197929
[R1.3-Issue-2197991]:             http://drupal.org/node/2197991
[R1.3-Issue-2182663]:             http://drupal.org/node/2182663
[R1.3-Issue-2198973]:             http://drupal.org/node/2198973
[R1.3-Issue-2198991]:             http://drupal.org/node/2198991
[R1.3-Issue-2199997]:             http://drupal.org/node/2199997
[R1.3-Issue-2200933]:             http://drupal.org/node/2200933
[R1.3-Issue-2199391]:             http://drupal.org/node/2199391
[R1.3-Issue-2202319]:             http://drupal.org/node/2202319
[R1.3-Issue-2201483]:             http://drupal.org/node/2201483
[R1.3-Issue-2203141]:             http://drupal.org/node/2203141

<!-- Commits R1.2 -->

[R1.2-Commit-26bfbe5]:            http://drupalcode.org/project/wetkit_core.git/commit/26bfbe5
[R1.2-Commit-470071c]:            http://drupalcode.org/project/wetkit_core.git/commit/470071c
[R1.2-Commit-9756256]:            http://drupalcode.org/project/wetkit_bean.git/commit/9756256
[R1.2-Commit-b107e98]:            http://drupalcode.org/project/wetkit_search.git/commit/b107e98
[R1.2-Commit-2383101]:            http://drupalcode.org/project/wetkit_core.git/commit/2383101
[R1.2-Commit-9ccea63]:            http://drupalcode.org/project/wetkit_breadcrumbs.git/commit/9ccea63
[R1.2-Commit-d5f1d97]:            http://drupalcode.org/project/wetkit_metatag.git/commit/d5f1d97
[R1.2-Commit-482f756]:            http://drupalcode.org/project/wetkit_language.git/commit/482f756
[R1.2-Commit-3a018be]:            http://drupalcode.org/project/wetkit_language.git/commit/3a018be
[R1.2-Commit-3178bf4]:            http://drupalcode.org/project/wetkit_widgets.git/commit/3178bf4
[R1.2-Commit-cc4e7bb]:            http://drupalcode.org/project/wetkit_metatag.git/commit/cc4e7bb
[R1.2-Commit-fcaae17]:            http://drupalcode.org/project/wetkit_ember.git/commit/fcaae17
[R1.2-Commit-75e5f04]:            http://drupalcode.org/project/wetkit_admin.git/commit/75e5f04
[R1.2-Commit-517a8f5]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/517a8f5
[R1.2-Commit-a5f02e6]:            http://drupalcode.org/project/wetkit_core.git/commit/a5f02e6
[R1.2-Commit-8981be2]:            http://drupalcode.org/project/wetkit_ember.git/commit/8981be2
[R1.2-Commit-eb311e3]:            http://drupalcode.org/project/wetkit_ember.git/commit/eb311e3
[R1.2-Commit-b357bac]:            http://drupalcode.org/project/wetkit_omega.git/commit/b357bac
[R1.2-Commit-677730d]:            http://drupalcode.org/project/wetkit_omega.git/commit/677730d
[R1.2-Commit-192811a]:            http://drupalcode.org/project/wetkit_theme.git/commit/192811a
[R1.2-Commit-f61ec36]:            http://drupalcode.org/project/wetkit_admin.git/commit/f61ec36
[R1.2-Commit-309895b]:            http://drupalcode.org/project/wetkit_pages.git/commit/309895b
[R1.2-Commit-37b5d37]:            http://drupalcode.org/project/wetkit_admin.git/commit/37b5d37
[R1.2-Commit-4e36f15]:            http://drupalcode.org/project/wetkit_core.git/commit/4e36f15
[R1.2-Commit-0be3895]:            http://drupalcode.org/project/wetkit_ember.git/commit/0be3895

<!-- Issues R1.2 -->

[R1.2-Issue-2173403]:             http://drupal.org/node/2173403
[R1.2-Issue-2175767]:             http://drupal.org/node/2175767
[R1.2-Issue-2173391]:             http://drupal.org/node/2173391
[R1.2-Issue-2176457]:             http://drupal.org/node/2176457
[R1.2-Issue-2176487]:             http://drupal.org/node/2176487
[R1.2-Issue-2176519]:             http://drupal.org/node/2176519
[R1.2-Issue-2176527]:             http://drupal.org/node/2176527
[R1.2-Issue-2176567]:             http://drupal.org/node/2176567
[R1.2-Issue-2176571]:             http://drupal.org/node/2176571
[R1.2-Issue-2176577]:             http://drupal.org/node/2176577
[R1.2-Issue-2176603]:             http://drupal.org/node/2176603
[R1.2-Issue-2176825]:             http://drupal.org/node/2176825
[R1.2-Issue-2168363]:             http://drupal.org/node/2168363
[R1.2-Issue-2176973]:             http://drupal.org/node/2176973
[R1.2-Issue-2176523]:             http://drupal.org/node/2176523
[R1.2-Issue-2160677]:             http://drupal.org/node/2160677

<!-- Commits R1.1 -->

[R1.1-Commit-0617a33]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/0617a33
[R1.1-Commit-8bd38f7]:            http://drupalcode.org/project/wetkit_images.git/commit/8bd38f7
[R1.1-Commit-41c8765]:            http://drupalcode.org/project/wetkit_bean.git/commit/41c8765
[R1.1-Commit-e154bcf]:            http://drupalcode.org/project/wetkit_wetboew.git/commit/e154bcf
[R1.1-Commit-ee5adf0]:            http://drupalcode.org/project/wetkit_wetboew.git/commit/ee5adf0
[R1.1-Commit-1c4970e]:            http://drupalcode.org/project/wetkit_search.git/commit/1c4970e
[R1.1-Commit-9b9071f]:            http://drupalcode.org/project/wetkit_layouts.git/commit/9b9071f
[R1.1-Commit-3f340d2]:            http://drupalcode.org/project/wetkit_menu.git/commit/3f340d2
[R1.1-Commit-d4a45a2]:            http://drupalcode.org/project/wetkit_search.git/commit/d4a45a2
[R1.1-Commit-9be1cac]:            http://drupalcode.org/project/wetkit_core.git/commit/9be1cac
[R1.1-Commit-48f8970]:            http://drupalcode.org/project/wetkit.git/commit/48f8970
[R1.1-Commit-21957bd]:            http://drupalcode.org/project/wetkit_widgets.git/commit/21957bd
[R1.1-Commit-05f03ff]:            http://drupalcode.org/project/wetkit_widgets.git/commit/05f03ff
[R1.1-Commit-9dd8772]:            http://drupalcode.org/project/wetkit_core.git/commit/9dd8772
[R1.1-Commit-5cf0580]:            http://drupalcode.org/project/wetkit_metatag.git/commit/5cf0580
[R1.1-Commit-fdf2891]:            http://drupalcode.org/project/wetkit_omega.git/commit/fdf2891
[R1.1-Commit-f4c0404]:            http://drupalcode.org/project/wetkit_metatag.git/commit/f4c0404
[R1.1-Commit-eb75425]:            http://drupalcode.org/project/wetkit_ember.git/commit/eb75425
[R1.1-Commit-8e29480]:            http://drupalcode.org/project/wetkit.git/commit/8e29480
[R1.1-Commit-973d251]:            http://drupalcode.org/project/wetkit_ember.git/commit/973d251
[R1.1-Commit-4c72796]:            http://drupalcode.org/project/wetkit_omega.git/commit/4c72796
[R1.1-Commit-4decafc]:            http://drupalcode.org/project/wetkit_migrate.git/commit/4decafc
[R1.1-Commit-3c3b646]:            http://drupalcode.org/project/wetkit_widgets.git/commit/3c3b646
[R1.1-Commit-e15997a]:            http://drupalcode.org/project/wetkit_wysiwyg.git/commit/e15997a

<!-- Issues R1.1 -->

[R1.1-Issue-2154261]:             http://drupal.org/node/2154261
[R1.1-Issue-2149799]:             http://drupal.org/node/2149799
[R1.1-Issue-2155337]:             http://drupal.org/node/2155337
[R1.1-Issue-2155371]:             http://drupal.org/node/2155371
[R1.1-Issue-2158659]:             http://drupal.org/node/2158659
[R1.1-Issue-2155411]:             http://drupal.org/node/2155411
[R1.1-Issue-2155545]:             http://drupal.org/node/2155545
[R1.1-Issue-2153185]:             http://drupal.org/node/2153185
[R1.1-Issue-2144347]:             http://drupal.org/node/2144347
[R1.1-Issue-2160657]:             http://drupal.org/node/2160657
[R1.1-Issue-2157757]:             http://drupal.org/node/2157757
[R1.1-Issue-2165193]:             http://drupal.org/node/2165193
[R1.1-Issue-2155581]:             http://drupal.org/node/2155581
[R1.1-Issue-2166741]:             http://drupal.org/node/2166741
[R1.1-Issue-2160677]:             http://drupal.org/node/2160677
[R1.1-Issue-2166803]:             http://drupal.org/node/2166803
[R1.1-Issue-2167311]:             http://drupal.org/node/2167311
[R1.1-Issue-2094209]:             http://drupal.org/node/2094209
[R1.1-Issue-2151499]:             http://drupal.org/node/2151499
[R1.1-Issue-2167557]:             http://drupal.org/node/2167557
[R1.1-Issue-2160653]:             http://drupal.org/node/2160653

<!-- Commits R1 -->

[R1-Commit-b987712]:            http://drupalcode.org/project/wetkit.git/commit/b987712
[R1-Commit-6c9cc22]:            http://drupalcode.org/project/wetkit_pages.git/commit/6c9cc22
[R1-Commit-1b1f833]:            http://drupalcode.org/project/wetkit.git/commit/1b1f833
[R1-Commit-b6b28b4]:            http://drupalcode.org/project/wetkit_core.git/commit/b6b28b4

<!-- Issues R1 -->

[R1-Issue-2148823]:             http://drupal.org/node/2148823
[R1-Issue-2151161]:             http://drupal.org/node/2151161
[R1-Issue-2149943]:             http://drupal.org/node/2149943
[R1-Issue-2151399]:             http://drupal.org/node/2151399
